<?php

namespace backend\controllers;

use backend\modules\vehicle\models\search\VehicleSearch;
use backend\modules\vehicle\models\Vehicle;
use backend\modules\vehicle\models\VehicleImages;
use common\models\Images360;
use Yii;
use yii\filters\VerbFilter;
use yii\imagine\Image as Imagine;
use yii\web\Controller;
use yii\web\UploadedFile;

class CarImagesController extends Controller
{

    public $layout = '@backend/views/layouts/admin/main.php';

    public function behaviors()
    {
        return [
            'verbs' => [
                'class'   => VerbFilter::className(),
                'actions' => [
                    'logout' => ['post'],
                ],
            ],
        ];
    }

    /**
     * @inheritdoc
     */
    public function actions()
    {
        return [
            'error' => [
                'class' => 'yii\web\ErrorAction',
            ],
        ];
    }
    public function actionIndex(){
        $searchModel = new VehicleSearch();
        $dataProvider = $searchModel->search(Yii::$app->request->queryParams);
        return  $this->render('index',[
            'searchModel'=>$searchModel,
            'dataProvider'=>$dataProvider
        ]);
    }
    public function actionUploadImages($id){
        $vehicle = Vehicle::findOne(['id'=>$id]);
        $front_image_preview = VehicleImages::findOne(['vehicle_id'=>$id]);
        $ext = Images360::findOne(['vehicle_id'=>$id]);
        $extension = $ext->extension;
        $count = Images360::find()->where(['vehicle_id'=>$id])->count();
        $model = new Images360();
        $image_data  = Images360::findAll(['vehicle_id'=>$id]);
        $path = Yii::$app->basePath.'/web/uploads/360images/';
        $path2 = Yii::$app->basePath.'/web/uploads/front-images/';
        $counter = $vehicle->image_counter;
        $width =265;
        $height = 150;
        $width1 =380;
        $height1 = 214;
        if ($model->load(Yii::$app->request->post())) {
            $model->images = UploadedFile::getInstances($model, 'images');
            if ($model->images) {
               foreach ($model->images as $key => $file) {
                   $base_path = $vehicle->slug . $vehicle->id . "($counter)" . '.' . $file->extension;

                   $file->saveAs($path . $base_path);//Upload files to server
                   $model->vehicle_id = $vehicle->id;
                   $model->path = $base_path;
                   $model->url = $path . $base_path;
                   $model->extension = $file->extension;
                   $model->size = $file->size;
                   $vehicle->image_counter = $counter + 1;
                   $vehicle->save(false);
                   $model->counter = $counter;
                   $model->save();
               }
           }
            $model->frontImage = UploadedFile::getInstances($model, 'frontImage');
            if ($model->frontImage) {
                foreach ($model->frontImage as $key => $file2) {
                    $base_path = $vehicle->slug . $vehicle->id . '.' . $file2->extension;
                    $file2->saveAs($path2 . $base_path);//Upload files to server
                    $thumbUrl =  $vehicle->slug . $vehicle->id.'-'.$width.'x'.$height.'.'.$file2->extension;
                    $thumbUrl2 =  $vehicle->slug . $vehicle->id.'-'.$width1.'x'.$height1.'.'.$file2->extension;

                    if (file_exists($path2 . $base_path)) {
                        Imagine::thumbnail($path2.$base_path, $width, $height)->save($path2.$thumbUrl);
                        Imagine::thumbnail($path2.$base_path, $width1, $height1)->save($path2.$thumbUrl2);

                    }
                    $front_image = VehicleImages::findAll(['vehicle_id'=>$vehicle->id]);
                    if ($front_image){
                        foreach ($front_image as $item) {
                            $item->delete();
                        }
                    }
                    $f_image = new VehicleImages();
                    $f_image->vehicle_id = $vehicle->id;
                    $f_image->path = '/uploads/front-images/'.$vehicle->slug . $vehicle->id;
                    $f_image->extension = $file2->extension;
                    $f_image->type = 'images';
                    $f_image->save();

                }
            }
            return $this->redirect(['upload-images', 'id' => $id]);
        }

            return  $this->render('upload-images',[
            'model'=>$model,
            'vehicle'=>$vehicle,
                'image_data'=>$image_data,
                'id'=>$id,
                'count'=>$count,
                'extension'=>$extension,
                'front_image_preview'=>$front_image_preview
            ]);

    }
    public function actionResize($id){
        $vehicle = Images360::findAll(['vehicle_id'=>$id]);
        $vehicle2 = Vehicle::findOne(['id'=>$id]);
        $path = Yii::$app->basePath.'/web/uploads/360images/';
        $path1 =  Yii::$app->basePath.'/web/uploads/850x500/';
        $path2 =  Yii::$app->basePath.'/web/uploads/1450x950/';

        $width =850;
        $height = 500;
        $width1 =1450;
        $height1 = 950;
        $counter = 1;
        foreach ($vehicle as $key){
            $base_path = $vehicle2->slug . $vehicle2->id . "($counter)".'.' . $key->extension;
            $thumbUrl =  $vehicle2->slug . $vehicle2->id."($counter)".$width.'x'.$height.'.'.$key->extension;
            $thumbUrl2 =  $vehicle2->slug . $vehicle2->id."($counter)".$width1.'x'.$height1.'.'.$key->extension;

            if (file_exists($path . $base_path)) {
                Imagine::thumbnail($path.$base_path, $width, $height)->save($path1.$thumbUrl);
                Imagine::thumbnail($path.$base_path, $width1, $height1)->save($path2.$thumbUrl2);

            }
            $counter =$counter+1;

        }
        return $this->redirect(['upload-images', 'id' => $id]);

    }

    public function actionDelete($id){
        $image = Images360::find()->where(['vehicle_id'=>$id])->orderBy(['id'=>SORT_DESC])->one();
        if ($image) {
            $this->deleteFile($image->path);
            $image->delete();
            $vehicle = Vehicle::findOne(['id'=>$id]);
            $vehicle->image_counter = $vehicle->image_counter - 1;
            $vehicle->save(false);
            return $this->redirect(['upload-images', 'id' => $id]);
        }
        return $this->redirect(['upload-images', 'id' => $id]);

    }
    public function actionDeleteAll($id){
        $image = Images360::findAll(['vehicle_id'=>$id]);
        foreach ($image as $key ):
        $this->deleteFile($key->path);
        $key->delete();
        endforeach;

        $vehicle = Vehicle::findOne(['id'=>$id]);
        $vehicle->image_counter = 1;
        $vehicle->save(false);
        return $this->redirect(['upload-images', 'id' => $id]);
    }
    public function actionDeleteFrontImage($id){
        $front_image = VehicleImages::findAll(['vehicle_id'=>$id]);
        if ($front_image){
            foreach ($front_image as $item) {
                $item->delete();
                $this->deleteFrontFile($item->path);
            }
        }
        return $this->redirect(['upload-images', 'id' => $id]);
    }

    protected function deleteFile($file)
    {
        $imgpath =   Yii::$app->basePath.'/web/uploads/360images/'.$file;
        if (file_exists ($imgpath))
            unlink ($imgpath);
    }
    protected function deleteFrontFile($file)
    {
        $imgpath =   Yii::$app->basePath.'/web'.$file;
        if (file_exists ($imgpath))
            unlink ($imgpath);
    }
}
