<?php

namespace backend\modules\branch\models\search;

use Yii;
use yii\base\Model;
use yii\data\ActiveDataProvider;
use backend\modules\branch\models\Branch;

/**
 * BranchSearch represents the model behind the search form about `backend\modules\branch\models\Branch`.
 */
class BranchSearch extends Branch
{
    public $published_at_operand;


    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['id', 'status', 'created_by', 'updated_by', 'revision','district_id'], 'integer'],
            [['phone', 'fax', 'email', 'view', 'layout', 'published_at_operand', 'name', 'published_at', 'created_at', 'updated_at', 'address'], 'safe'],
            [['latitude', 'longitude'], 'number'],
        ];
    }

    /**
     * @inheritdoc
     */
    public function scenarios()
    {
        // bypass scenarios() implementation in the parent class
        return Model::scenarios();
    }

    /**
     * Creates data provider instance with search query applied
     *
     * @param array $params
     *
     * @return ActiveDataProvider
     */
    public function search($params)
    {
        //To search on language fields
        $query = Branch::find()->joinWith('translations');

        $dataProvider = new ActiveDataProvider([
            'query' => $query,
            'pagination' => [
                'pageSize' => Yii::$app->request->cookies->getValue('_grid_page_size', 20),
            ],
            'sort' => [
                'defaultOrder' => [
                    'id' => SORT_DESC,
                ],
            ],
        ]);

        $this->load($params);

        if (!$this->validate()) {
            // uncomment the following line if you do not want to return any records when validation fails
            // $query->where('0=1');
            return $dataProvider;
        }

        $query->andFilterWhere([
            'district_id' => $this->district_id,
        ]);
//        $query->andFilterWhere([
//            'id' => $this->id,
//            'status' => $this->status,
//            'latitude' => $this->latitude,
//            'longitude' => $this->longitude,
//            'published_at' => $this->published_at,
//            'created_at' => $this->created_at,
//            'updated_at' => $this->updated_at,
//            'created_by' => $this->created_by,
//            'updated_by' => $this->updated_by,
//            'revision' => $this->revision,
//        ]);

//        $query->andFilterWhere(['like', 'phone', $this->phone])
//            ->andFilterWhere(['like', 'fax', $this->fax])
//            ->andFilterWhere(['like', 'email', $this->email])
//            ->andFilterWhere(['like', 'view', $this->view])
//            ->andFilterWhere(['like', 'layout', $this->layout]);

        //To Avoid duplicate
        $query->groupBy('id');
        return $dataProvider;
    }
}
