<?php

namespace backend\modules\career\widgets\dashboard;


use backend\modules\career\models\search\VacancySearch;
use backend\modules\career\models\UserVacancy;
use yeesoft\widgets\DashboardWidget;
use Yii;

class Interview extends DashboardWidget
{
    /**
     * Most recent post limit
     */
    public $recentLimit = 5;

    /**
     * Post index action
     */
    public $indexAction = 'user/default/index';

    /**
     * Total count options
     *
     * @var array
     */
    public $options;

    public $viewName;

    public function run()
    {
        if (!$this->options) {
            //$this->options = $this->getDefaultOptions();
        }

        switch ($this->viewName) {
            case 'interview-approved':
                $items = UserVacancy::find()->where([
                    'status' => 'Approved_Interview_By_User'
                ])->orderBy(['interview_date' => SORT_ASC])->limit(10)->all();
                break;
            case 'interview-admin-pending':
                $items = UserVacancy::find()->where([
                    'status' => 'WAITING_ADMIN_APPROVAL'
                ])->orderBy(['interview_date' => SORT_ASC])->limit(10)->all();
                break;
            case 'interview-user-pending':
                $items = UserVacancy::find()->where([
                    'status' => 'INTERVIEW'
                ])->orderBy(['interview_date' => SORT_ASC])->limit(10)->all();
                break;
        }

        return $this->render($this->viewName, [
            'height' => $this->height,
            'width' => $this->width,
            'position' => $this->position,
            'users' => $this->options,
            'items' => $items,
        ]);


    }
}