<?php

namespace backend\modules\career\widgets\dashboard;


use backend\modules\career\models\search\VacancySearch;
use common\helpers\Utility;
use yeesoft\widgets\DashboardWidget;
use Yii;

class Statistics extends DashboardWidget
{
    /**
     * Most recent post limit
     */
    public $recentLimit = 5;

    /**
     * Post index action
     */
    public $indexAction = 'user/default/index';

    /**
     * Total count options
     *
     * @var array
     */
    public $options;

    public $viewName;

    public function run()
    {
        if (!$this->options) {
            //$this->options = $this->getDefaultOptions();
        }

        $searchModel = new VacancySearch();
        $dataProvider = $searchModel->search(['VacancySearch' => ['sort_by' => 'published_at_asc', 'status' => Utility::STATUS_PUBLISHED]], false);
//        $dataProvider->query->andWhere([]);
//        $dataProvider->query->orderBy(['']);
        $dataProvider->pagination->pageSize = 10;
//        var_dump($dataProvider->query->createCommand()->rawSql);


        return $this->render($this->viewName, [
            'height' => $this->height,
            'width' => $this->width,
            'position' => $this->position,
            'users' => $this->options,
            'expiredJobs' => $dataProvider->getModels(),
        ]);


    }
}