<?php

use dosamigos\google\maps\LatLng;
use dosamigos\google\maps\Map;
use dosamigos\google\maps\overlays\Marker;
use yeesoft\helpers\Html;

/* @var $this yii\web\View */
/* @var $model \backend\modules\contact_us\models\ContactUs */

$this->title = $model->name;
$this->params['breadcrumbs'][] = ['label' => Yii::t('site', 'ContactUses'), 'url' => ['index']];
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="page-view">

    <h3 class="lte-hide-title"><?= Html::encode($this->title) ?></h3>

    <div class="panel panel-default">
        <div class="panel-body">
            <?= Html::a(Yii::t('yee', 'Edit'), ['/contact_us/default/update', 'id' => $model->id], ['class' => 'btn btn-sm btn-primary']) ?>
            <?= Html::a(Yii::t('yee', 'Delete'), ['/contact_us/default/delete', 'id' => $model->id], [
                'class' => 'btn btn-sm btn-default',
                'data' => [
                    'confirm' => Yii::t('yii', 'Are you sure you want to delete this item?'),
                    'method' => 'post',
                ],
            ]) ?>
            <?= Html::a(Yii::t('yee', 'Add New'), ['/contact_us/default/create'], ['class' => 'btn btn-sm btn-primary pull-right']) ?>
        </div>
    </div>

    <div class="panel panel-default">
        <div class="panel-body">
            <!--
            <?= $model->manager ?>
            <?= $model->address ?>
            <?= $model->phone ?>
            <?= $model->fax ?>
            <?= $model->email ?>
            -->
            <?php
            $coord = new LatLng(['lat' =>$model->latitude ? : 31.9454, 'lng' => $model->longitude ? : 35.9284]);
            $map = new Map([
                'center' => $coord,
                'zoom' => 14,
            ]);
            $map->width = '100%';
            // Lets add a marker now
            $marker = new Marker([
                'position' => $coord,
                'title' => 'Drag me to change my location',
            ]);

            // Add marker to the map
            $map->addOverlay($marker);

            // Display the map -finally :)
            echo $map->display();
            ?>

        </div>
    </div>

</div>
