<?php

use yeesoft\grid\GridPageSize;
use yeesoft\grid\GridQuickLinks;
use yeesoft\grid\GridView;
use yeesoft\helpers\Html;
use yeesoft\models\User;
use yii\helpers\Url;
use yii\widgets\Pjax;
use backend\modules\dealer\models\Dealer;

/* @var $this yii\web\View */
/* @var $searchModel \backend\modules\dealer\models\search\DealerSearch */
/* @var $dataProvider yii\data\ActiveDataProvider */

$this->title = Yii::t('site', 'Dealer');
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="page-index">

    <div class="row">
        <div class="col-sm-12">
            <h3 class="lte-hide-title page-title"><?= Html::encode($this->title) ?></h3>
            <?= Html::a(Yii::t('yee', 'Add New'), ['/dealer/default/create'], ['class' => 'btn btn-sm btn-primary']) ?>
        </div>
    </div>

    <div class="panel panel-default">
        <div class="panel-body">

            <div class="row">
                <div class="col-sm-6">
                    <?=
                    GridQuickLinks::widget([
                        'model' => Dealer::className(),
                       
                        'searchModel' => $searchModel,
                        'labels' => [
                            'all' => Yii::t('yee', 'All'),
                            'active'=>Yii::t('yee', 'Active'),
                            'inactive' => Yii::t('yee', 'Request Pending'),
                        ],
                    ]) ?>
                </div>

                <div class="col-sm-6 text-right">
                    <?= GridPageSize::widget(['pjaxId' => 'page-grid-pjax']) ?>
                </div>
            </div>

            <?php Pjax::begin(['id' => 'page-grid-pjax']) ?>

            <?=
            GridView::widget([
                'id' => 'page-grid',
                'dataProvider' => $dataProvider,
                'filterModel' => $searchModel,
                'bulkActionOptions' => [
                    'gridId' => 'page-grid',
                    'actions' => [
                        Url::to(['bulk-activatestatus']) => Yii::t('yee', 'Active'),
                        Url::to(['bulk-deactivatestatus']) => Yii::t('yee', 'Pending'),
                        Url::to(['bulk-delete']) => Yii::t('yii', 'Delete'),
                    ]
                ],
                'columns' => [
                    ['class' => 'yeesoft\grid\CheckboxColumn', 'options' => ['style' => 'width:10px']],
                    [
                        'attribute' => 'name',
                        'class' => 'yeesoft\grid\columns\TitleActionColumn',
                        'controller' => '/dealer/default',
                        'title' => function (Dealer $model) {
                            return Html::a($model->name, ['/dealer/default/view', 'id' => $model->id], ['data-pjax' => 0]);
                        },
                    ],
					'email',
					'phone',
                    [
                        'class' => 'yeesoft\grid\columns\StatusColumn',
                        'attribute' => 'status',
                        'optionsArray' => Dealer::getStatusOptionsList(),
                        'options' => ['style' => 'width:60px'],
                    ],
                  
                    // [
                    //     //'class' => 'yeesoft\grid\columns\DateFilterColumn',
                    //     // 'attribute' => 'published_at',
                    //     'value' => function (Dealer $model) {
                    //         return '<span style="font-size:85%;" class="label label-'
                    //         . ((time() >= $model->published_at) ? 'primary' : 'default') . '">'
                    //         . date('d-m-Y', $model->published_at) . '</span>';
                    //     },
                    //     'format' => 'raw',
                    //     'options' => ['style' => 'width:150px'],
                    // ],
                ],
            ]);
            ?>

            <?php Pjax::end() ?>
        </div>
    </div>
</div>


