<?php

namespace backend\modules\general_question\controllers;

use backend\modules\general_question\models\GeneralQuestion;
use backend\modules\general_question\models\GeneralQuestionItem;
use Yii;
use yeesoft\controllers\admin\BaseController;

/**
 * DefaultController implements the CRUD actions for backend\modules\general_question\models\GeneralQuestion model.
 */
class DefaultController extends BaseController 
{
    public $modelClass       = 'backend\modules\general_question\models\GeneralQuestion';
    public $modelSearchClass = 'backend\modules\general_question\models\search\GeneralQuestionSearch';

    protected function getRedirectPage($action, $model = null)
    {
        switch ($action) {
            case 'update':
                return ['update', 'id' => $model->id];
                break;
            case 'create':
                return ['update', 'id' => $model->id];
                break;
            default:
                return parent::getRedirectPage($action, $model);
        }
    }

    /**
     * Creates a new model.
     * If creation is successful, the browser will be redirected to the 'view' page.
     * @return mixed
     */
    public function actionCreate()
    {
        /* @var $model \yeesoft\db\ActiveRecord */
        $model = new $this->modelClass;

        $modelItems = [];
//        foreach ($model->filters as $filter) {
//            $group = $filter->filter->group;
//
//            //Main Filter
//            if (!$group) continue;
//
//            $subsector = $group->subsector;
//            $tmp = new ClassificationForm();
//            $tmp->load(['ClassificationForm' => ['subsector' => $subsector->id, 'group' => $group->id, 'filter' => $filter->filter_id]], 'ClassificationForm');
//            $classifications[] = $tmp;
//        }


        $model->questionItems = count($modelItems) ? $modelItems : [new GeneralQuestionItem()];

        if ($model->load(Yii::$app->request->post()) && $model->save()) {
            Yii::$app->session->setFlash('crudMessage', Yii::t('yee', 'Your item has been created.'));
            return $this->redirect($this->getRedirectPage('create', $model));
        }

        return $this->renderIsAjax($this->createView, compact('model'));
    }

    /**
     * Updates an existing model.
     * If update is successful, the browser will be redirected to the 'view' page.
     *
     * @param integer $id
     *
     * @return mixed
     */
    public function actionUpdate($id)
    {
        /* @var $model GeneralQuestion */
        $model = parent::findModel($id);



        $modelItems = [];
        foreach ($model->generalQuestionItems as $item) {
            /* @var $item GeneralQuestionItem */
            $item->q_en = $item->title;
            $item->q_ar = $item->title_ar;
            $modelItems[] = $item;
        }
        $model->questionItems = count($modelItems) ? $modelItems : [new GeneralQuestionItem()];

        if ($model->load(Yii::$app->request->post()) AND $model->save()) {
            Yii::$app->session->setFlash('crudMessage', Yii::t('yee', 'Your item has been updated.'));
            return $this->redirect($this->getRedirectPage('update', $model));
        }

        return $this->renderIsAjax($this->updateView, compact('model'));
    }


}