<?php

namespace backend\modules\places\models;

use Yii;

/**
 * This is the model class for table "place_aggregate_rating".
 *
 * @property int $id
 * @property int $model_id
 * @property double $wheelchair_accessible_avg
 * @property double $spacious_interior_avg
 * @property double $lighting_brightness_avg
 * @property double $quality_of_service_avg
 *
 * @property Places $model
 */
class PlaceAggregateRating extends \yii\db\ActiveRecord
{
    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'place_aggregate_rating';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['model_id', 'wheelchair_accessible_avg', 'spacious_interior_avg'], 'required'],
            [['model_id'], 'integer'],
            [['wheelchair_accessible_avg', 'spacious_interior_avg', 'lighting_brightness_avg', 'quality_of_service_avg'], 'number'],
            [['model_id'], 'unique'],
            [['model_id'], 'exist', 'skipOnError' => true, 'targetClass' => Places::className(), 'targetAttribute' => ['model_id' => 'id']],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'id' => Yii::t('site', 'ID'),
            'model_id' => Yii::t('site', 'Model ID'),
            'wheelchair_accessible_avg' => Yii::t('site', 'Wheelchair Accessible Avg'),
            'spacious_interior_avg' => Yii::t('site', 'Spacious Interior Avg'),
            'lighting_brightness_avg' => Yii::t('site', 'Lighting Brightness Avg'),
            'quality_of_service_avg' => Yii::t('site', 'Quality Of Service Avg'),
        ];
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getModel()
    {
        return $this->hasOne(Places::className(), ['id' => 'model_id']);
    }

    /**
     * {@inheritdoc}
     * @return PlaceAggregateRatingQuery the active query used by this AR class.
     */
    public static function find()
    {
        return new PlaceAggregateRatingQuery(get_called_class());
    }
}
