<?php

namespace backend\modules\places\models;

use Yii;

/**
 * This is the model class for table "place_subsector".
 *
 * @property int $place_id
 * @property int $subsector_id
 *
 * @property Places $place
 * @property Subsector $subsector
 */
class PlaceSubsector extends \yii\db\ActiveRecord
{
    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'place_subsector';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['place_id', 'subsector_id'], 'required'],
            [['place_id', 'subsector_id'], 'integer'],
            [['place_id', 'subsector_id'], 'unique', 'targetAttribute' => ['place_id', 'subsector_id']],
            [['place_id'], 'exist', 'skipOnError' => true, 'targetClass' => Places::className(), 'targetAttribute' => ['place_id' => 'id']],
            [['subsector_id'], 'exist', 'skipOnError' => true, 'targetClass' => Subsector::className(), 'targetAttribute' => ['subsector_id' => 'id']],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'place_id' => Yii::t('site', 'Place ID'),
            'subsector_id' => Yii::t('site', 'Subsector ID'),
        ];
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getPlace()
    {
        return $this->hasOne(Places::className(), ['id' => 'place_id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getSubsector()
    {
        return $this->hasOne(Subsector::className(), ['id' => 'subsector_id']);
    }

    /**
     * {@inheritdoc}
     * @return PlaceSubsectorQuery the active query used by this AR class.
     */
    public static function find()
    {
        return new PlaceSubsectorQuery(get_called_class());
    }
}
