<?php

namespace backend\modules\places\models;

use Yii;

/**
 * This is the model class for table "subsector_accessibility".
 *
 * @property int $subsector_id
 * @property int $accessibility_id
 *
 * @property Subsector $subsector
 * @property Accessibility $accessibility
 */
class SubsectorAccessibility extends \yii\db\ActiveRecord
{
    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'subsector_accessibility';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['subsector_id', 'accessibility_id'], 'required'],
            [['subsector_id', 'accessibility_id'], 'integer'],
            [['subsector_id'], 'exist', 'skipOnError' => true, 'targetClass' => Subsector::className(), 'targetAttribute' => ['subsector_id' => 'id']],
            [['accessibility_id'], 'exist', 'skipOnError' => true, 'targetClass' => Accessibility::className(), 'targetAttribute' => ['accessibility_id' => 'id']],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'subsector_id' => Yii::t('site', 'Subsector ID'),
            'accessibility_id' => Yii::t('site', 'Accessibility ID'),
        ];
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getSubsector()
    {
        return $this->hasOne(Subsector::className(), ['id' => 'subsector_id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getAccessibility()
    {
        return $this->hasOne(Accessibility::className(), ['id' => 'accessibility_id']);
    }

    /**
     * {@inheritdoc}
     * @return SubsectorAccessibilityQuery the active query used by this AR class.
     */
    public static function find()
    {
        return new SubsectorAccessibilityQuery(get_called_class());
    }
}
