<?php

use backend\modules\places\models\PlaceRating;
use kartik\widgets\StarRating;
use yii\widgets\DetailView;
use yeesoft\helpers\Html;

/* @var $this yii\web\View */
/* @var $model backend\modules\places\models\Places */

$this->title = $model->title;
$this->params['breadcrumbs'][] = ['label' => 'Places', 'url' => ['index']];
$this->params['breadcrumbs'][] = $this->title;
$lng = 'en';
$placeRating = $model->placeAggregateRating;


?>
<div class="places-view">

    <h3 class="lte-hide-title"><?=  Html::encode($this->title) ?></h3>

    <div class="panel panel-default">
        <div class="panel-body">

            <div class="record-info">
                <div class="row col-md-3 col-sm-6 col-xs-6" id="wheelchair_accessible_rate"
                     data-placement="top" data-toggle="popover">

                    <div class="filed-set">
                        <div class="title"><a href=""><?= Yii::t('site', 'Wheelchair Accessible') ?>

                        </div>
                        <div class="stars">
                            <?php
                            try {
                                echo StarRating::widget([
                                    'name' => 'rating_35',
                                    'value' => ($placeRating?$placeRating->wheelchair_accessible_avg:0),
                                    'pluginOptions' => [
                                        'theme' => 'krajee-svg',
                                        'size' => 'xs',
                                        'showClear' => true,
                                        'showCaption' => false,
                                        'step' => 1,
                                        'rtl'=>($lng == 'ar' ? true : false)
                                    ],
                                    'pluginEvents' => [
                                        'rating:change' => "function(event, value, caption){
                                                                var rateType = 'wheelchair_accessible';
                                                                var modelId = {$model->id};
                                                                $.ajax({
                                                                    url:'/places/default/override-rating',
                                                                    method:'post',
                                                                    data:{rate:value,type:rateType,modelId:modelId},
                                                                    dataType:'json',
                                                                    success:function(data){
                                                                        $(event.currentTarget).rating('update',data.rating);
                                                                        $('#wheelchair_accessible_rate').popover({
                                                                            html : true,
                                                                            content: function() {
                                                                               return data.content;
                                                                            }
                                                                        }).popover('show');
                                                                        
                                                                        timer = setTimeout(function () {
                                                                                $('#wheelchair_accessible_rate').popover('hide');
                                                                        }, 3000);
                                                                    }
                                                                });
                                                            }",
                                        'rating:clear' => "function(event, value, caption){
                                                                var rateType = 'wheelchair_accessible';
                                                                var modelId = {$model->id};
                                                                $.ajax({
                                                                    url:'/places/default/override-rating',
                                                                    method:'post',
                                                                    data:{rate:0,type:rateType,modelId:modelId},
                                                                    dataType:'json',
                                                                    success:function(data){
                                                                        $(event.currentTarget).rating('update',data.rating);
                                                                        $('#wheelchair_accessible_rate').popover({
                                                                            html : true,
                                                                            content: function() {
                                                                               return data.content;
                                                                            }
                                                                        }).popover('show');
                                                                        
                                                                        timer = setTimeout(function () {
                                                                                $('#wheelchair_accessible_rate').popover('hide');
                                                                        }, 3000);
                                                                    }
                                                                });
                                                            }"

                                    ]
                                ]);
                            } catch (Exception $e) {
                                var_dump($e->getMessage());
                            }
                            ?>
                        </div>
                    </div>
                </div>
                <div class="row col-md-3 col-sm-6 col-xs-6" id="spacious_interior_rate" data-placement="top"
                     data-toggle="popover">

                    <div class="filed-set">
                        <div class="title"><a href=""><?= Yii::t('site', 'Spacious Interior') ?>


                        </div>
                        <div class="stars">
                            <?php
                            try {
                                echo StarRating::widget([
                                    'name' => 'rating_35',
                                    'value' => ($placeRating?$placeRating->spacious_interior_avg:0),
                                    'pluginOptions' => [
                                        'theme' => 'krajee-svg',
                                        'size' => 'xs',
                                        'showClear' => true,
                                        'showCaption' => false,
                                        'step' => 1,
                                        'rtl'=>($lng == 'ar' ? true : false)
                                    ],
                                    'pluginEvents' => [
                                        'rating:change' => "function(event, value, caption){
                                                                var rateType = 'spacious_interior';
                                                                var modelId = {$model->id};
                                                                $.ajax({
                                                                    url:'/places/default/override-rating',
                                                                    method:'post',
                                                                    data:{rate:value,type:rateType,modelId:modelId},
                                                                    dataType:'json',
                                                                    success:function(data){
                                                                        $(event.currentTarget).rating('update',data.rating);
                                                                        $('#spacious_interior_rate').data('popover', null).popover({
                                                                            html : true,
                                                                            trigger: 'manual',
                                                                            content: function() {
                                                                               return data.content;
                                                                            }
                                                                        }).popover('show');
                                                                        
                                                                        timer = setTimeout(function () {
                                                                                $('#spacious_interior_rate').popover('hide');
                                                                        }, 3000);
                                                                        
                                                                    }
                                                                });
                                                            }",
                                        'rating:clear' => "function(event, value, caption){
                                                                var rateType = 'spacious_interior';
                                                                var modelId = {$model->id};
                                                                $.ajax({
                                                                    url:'/places/default/override-rating',
                                                                    method:'post',
                                                                    data:{rate:0,type:rateType,modelId:modelId},
                                                                    dataType:'json',
                                                                    success:function(data){
                                                                        $(event.currentTarget).rating('update',data.rating);
                                                                        $('#spacious_interior_rate').data('popover', null).popover({
                                                                            html : true,
                                                                            trigger: 'manual',
                                                                            content: function() {
                                                                               return data.content;
                                                                            }
                                                                        }).popover('show');
                                                                        
                                                                        timer = setTimeout(function () {
                                                                                $('#spacious_interior_rate').popover('hide');
                                                                        }, 3000);
                                                                        
                                                                    }
                                                                });
                                                            }"
                                    ]
                                ]);
                            } catch (Exception $e) {
                                var_dump($e->getMessage());
                            }
                            ?>
                        </div>
                    </div>
                </div>
                <div class="row col-md-3 col-sm-6 col-xs-6" id="lighting_brightness_rate"
                     data-placement="top" data-toggle="popover">

                    <div class="filed-set">
                        <div class="title"><a href=""><?= Yii::t('site', 'Lighting/Brightness') ?>

                        </div>
                        <div class="stars"><?php
                            try {
                                echo StarRating::widget([
                                    'name' => 'rating_35',
                                    'value' => ($placeRating?$placeRating->lighting_brightness_avg:0),
                                    'pluginOptions' => [
                                        'theme' => 'krajee-svg',
                                        'size' => 'xs',
                                        'showClear' => true,
                                        'showCaption' => false,
                                        'step' => 1,
                                        'rtl'=>($lng == 'ar' ? true : false)
                                    ],
                                    'pluginEvents' => [
                                        'rating:change' => "function(event, value, caption){
                                                                var rateType = 'lighting_brightness';
                                                                var modelId = {$model->id};
                                                                $.ajax({
                                                                    url:'/places/default/override-rating',
                                                                    method:'post',
                                                                    data:{rate:value,type:rateType,modelId:modelId},
                                                                    dataType:'json',
                                                                    success:function(data){
                                                                        $(event.currentTarget).rating('update',data.rating);
                                                                         $('#lighting_brightness_rate').popover({
                                                                            html : true,
                                                                            content: function() {
                                                                               return data.content;
                                                                            }
                                                                        }).popover('show');
                                                                        
                                                                        timer = setTimeout(function () {
                                                                                $('#lighting_brightness_rate').popover('hide');
                                                                        }, 3000);
                                                                    }
                                                                });
                                                            }",
                                        'rating:clear' => "function(event, value, caption){
                                                                var rateType = 'lighting_brightness';
                                                                var modelId = {$model->id};
                                                                $.ajax({
                                                                    url:'/places/default/override-rating',
                                                                    method:'post',
                                                                    data:{rate:0,type:rateType,modelId:modelId},
                                                                    dataType:'json',
                                                                    success:function(data){
                                                                        $(event.currentTarget).rating('update',data.rating);
                                                                         $('#lighting_brightness_rate').popover({
                                                                            html : true,
                                                                            content: function() {
                                                                               return data.content;
                                                                            }
                                                                        }).popover('show');
                                                                        
                                                                        timer = setTimeout(function () {
                                                                                $('#lighting_brightness_rate').popover('hide');
                                                                        }, 3000);
                                                                    }
                                                                });
                                                            }"
                                    ]
                                ]);
                            } catch (Exception $e) {
                                var_dump($e->getMessage());
                            }
                            ?></div>
                    </div>
                </div>
                <div class="row col-md-3 col-sm-6 col-xs-6" id="quality_of_service_rate"
                     data-placement="top" data-toggle="popover">

                    <div class="filed-set">
                        <div class="title"><a href=""><?= Yii::t('site', 'Quality of Product/Service') ?>

                        </div>
                        <div class="stars">
                            <?php
                            try {
                                echo StarRating::widget([
                                    'name' => 'rating_35',
                                    'value' => ($placeRating?$placeRating->quality_of_service_avg:0),
                                    'pluginOptions' => [
                                        'theme' => 'krajee-svg',
                                        'size' => 'xs',
                                        'showClear' => true,
                                        'showCaption' => false,
                                        'step' => 1,
                                        'rtl'=>($lng == 'ar' ? true : false)
                                    ],
                                    'pluginEvents' => [
                                        'rating:change' => "function(event, value, caption){
                                                                var rateType = 'quality_of_service';
                                                                var modelId = {$model->id};
                                                                $.ajax({
                                                                    url:'/places/default/override-rating',
                                                                    method:'post',
                                                                    data:{rate:value,type:rateType,modelId:modelId},
                                                                    dataType:'json',
                                                                    success:function(data){
                                                                        $(event.currentTarget).rating('update',data.rating);
                                                                        $('#quality_of_service_rate').popover({
                                                                            html : true,
                                                                            content: function() {
                                                                               return data.content;
                                                                            }
                                                                        }).popover('show');
                                                                        
                                                                        timer = setTimeout(function () {
                                                                                $('#quality_of_service_rate').popover('hide');
                                                                        }, 3000);
                                                                    }
                                                                });
                                                            }",
                                        'rating:clear' => "function(event, value, caption){
                                                                var rateType = 'quality_of_service';
                                                                var modelId = {$model->id};
                                                                $.ajax({
                                                                    url:'/places/default/override-rating',
                                                                    method:'post',
                                                                    data:{rate:0,type:rateType,modelId:modelId},
                                                                    dataType:'json',
                                                                    success:function(data){
                                                                        $(event.currentTarget).rating('update',data.rating);
                                                                        $('#quality_of_service_rate').popover({
                                                                            html : true,
                                                                            content: function() {
                                                                               return data.content;
                                                                            }
                                                                        }).popover('show');
                                                                        
                                                                        timer = setTimeout(function () {
                                                                                $('#quality_of_service_rate').popover('hide');
                                                                        }, 3000);
                                                                    }
                                                                });
                                                            }"
                                    ]
                                ]);
                            } catch (Exception $e) {
                                var_dump($e->getMessage());
                            }
                            ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>


    <div class="panel panel-default">
        <div class="panel-body">

            <p>
                <?=                 Html::a('Edit', ['/places/default/update', 'id' => $model->id],
                    ['class' => 'btn btn-sm btn-primary'])
                ?>
                <?=                 Html::a('Delete', ['/places/default/delete', 'id' => $model->id],
                    [
                    'class' => 'btn btn-sm btn-default',
                    'data' => [
                        'confirm' => Yii::t('yii', 'Are you sure you want to delete this item?'),
                        'method' => 'post',
                    ],
                ])
                ?>
                <?=                 Html::a(Yii::t('yee', 'Add New'), ['/places/default/create'],
                    ['class' => 'btn btn-sm btn-primary pull-right'])
                ?>
            </p>


            <?=             DetailView::widget([
                'model' => $model,
                'attributes' => [
            'id',
            'kinz_id',
            'city_id',
            'phone',
            'website',
            'latitude',
            'longitude',
            'created_at',
            'updated_at',
            'created_by',
            'updated_by',
                ],
            ])
            ?>
            <table role="presentation" class="table table-striped">
                <tbody class="files">
                <?php
                foreach ($model->images as $img):
                    /* @var $img \backend\modules\places\models\PlaceImages */
                    $imgRefObj = \yeesoft\media\models\Media::findOne(['url' => $img->path]);
                    if(!$imgRefObj) continue;
                    ?>

                    <tr class="template-download fade in">
                        <td>
                            <span class="preview">

                                    <a href="<?= $img->path ?>"
                                       data-gallery=""><img src="<?= $img->imageRef->getDefaultThumbUrl() ?>" draggable="true"
                                                            data-bukket-ext-bukket-draggable="true"></a>

                            </span>
                        </td>
                        <td>

                            <?php echo Html::a('Delete', ["/places/default/delete-image", 'id' => $model->id, 'path' => $img->path], ['data-method' => 'POST', 'class' => 'btn btn-danger delete']) ?>

                        </td>
                    </tr>


                <?php endforeach; ?>
                </tbody>
            </table>
        </div>
    </div>

</div>
