<?php

namespace backend\modules\quotes_criteria\models\search;

use Yii;
use yii\base\Model;
use yii\data\ActiveDataProvider;
use backend\modules\quotes_criteria\models\CarBrand;

/**
 * CarBrandSearch represents the model behind the search form about `backend\modules\quotes_criteria\models\CarBrand`.
 */
class CarBrandSearch extends CarBrand
{

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['id', 'max_car_age'], 'integer'],
            [['code'], 'safe'],
            [['title'], 'string'],
        ];
    }

    /**
     * @inheritdoc
     */
    public function scenarios()
    {
        // bypass scenarios() implementation in the parent class
        return Model::scenarios();
    }

    /**
     * Creates data provider instance with search query applied
     *
     * @param array $params
     *
     * @return ActiveDataProvider
     */
    public function search($params)
    {
        $query = CarBrand::find()->joinWith('translations');

        $dataProvider = new ActiveDataProvider([
            'query' => $query,
            'pagination' => [
                'pageSize' => Yii::$app->request->cookies->getValue('_grid_page_size', 20),
            ],
            'sort' => [
                'defaultOrder' => [
                    'id' => SORT_DESC,
                ],
            ],
        ]);

        $this->load($params);

        //if (!$this->validate()) {
            // uncomment the following line if you do not want to return any records when validation fails
            // $query->where('0=1');
          //  return $dataProvider;
        //}

        $query->andFilterWhere([
            'id' => $this->id,
            'max_car_age' => $this->max_car_age,
        ]);

        $query->andFilterWhere(['like', 'code', $this->code])
            ->andFilterWhere(['like', 'title', $this->title])
        ;

        return $dataProvider;
    }
}
