<?php

namespace backend\modules\quotes_criteria\models\search;

use Yii;
use yii\base\Model;
use yii\data\ActiveDataProvider;
use backend\modules\quotes_criteria\models\CarModel;

/**
 * CarModelSearch represents the model behind the search form about `backend\modules\quotes_criteria\models\CarModel`.
 */
class CarModelSearch extends CarModel
{
    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['id', 'car_brand_id'], 'integer'],
            [['code', 'title'], 'safe'],
        ];
    }

    /**
     * @inheritdoc
     */
    public function scenarios()
    {
        // bypass scenarios() implementation in the parent class
        return Model::scenarios();
    }

    /**
     * Creates data provider instance with search query applied
     *
     * @param array $params
     *
     * @return ActiveDataProvider
     */
    public function search($params)
    {
        $query = CarModel::find()->joinWith('translations');;

        $dataProvider = new ActiveDataProvider([
            'query' => $query,
            'pagination' => [
                'pageSize' => Yii::$app->request->cookies->getValue('_grid_page_size', 20),
            ],
            'sort' => [
                'defaultOrder' => [
                    'id' => SORT_DESC,
                ],
            ],
        ]);

        $this->load($params);



        $query->andFilterWhere([
            'id' => $this->id,
            'car_brand_id' => $this->car_brand_id,
        ]);

        $query->andFilterWhere(['like', 'code', $this->code])
            ->andFilterWhere(['like', 'title', $this->title]);

        return $dataProvider;
    }
}
