<?php

use yeesoft\widgets\ActiveForm;
use backend\modules\quotes_criteria\models\CarModel;
use yeesoft\helpers\Html;

/* @var $this yii\web\View */
/* @var $model backend\modules\quotes_criteria\models\CarModel */
/* @var $form yeesoft\widgets\ActiveForm */
?>

<div class="car-model-form">

    <?php
    $form = ActiveForm::begin([
        'id' => 'car-model-form',
        'validateOnBlur' => false,
    ])
    ?>

    <div class="row">
        <div class="col-md-9">

            <div class="panel panel-default">
                <div class="panel-body">

                    <?= $form->field($model, 'car_brand_id')
                        ->widget(\kartik\select2\Select2::className(), [
                            'options' => ['placeholder' => 'Select a Brand ...'],
                            'pluginOptions' => [
                                'allowClear' => true
                            ],
                            'data' => \yii\helpers\ArrayHelper::map(\backend\modules\quotes_criteria\models\CarBrand::find()->all(), 'id', 'title')
                        ]) ?>

                    <?= $form->field($model, 'title')->textInput(['maxlength' => true]) ?>

                    <?= $form->field($model, 'code')->textInput(['maxlength' => true]) ?>


                </div>

            </div>
        </div>

        <div class="col-md-3">

            <div class="panel panel-default">
                <div class="panel-body">
                    <div class="record-info">
                        <div class="form-group clearfix">
                            <label class="control-label"
                                   style="float: left; padding-right: 5px;"><?= $model->attributeLabels()['id'] ?>
                                : </label>
                            <span><?= $model->id ?></span>
                        </div>

                        <div class="form-group">
                            <?php if ($model->isNewRecord): ?>
                                <?= Html::submitButton(Yii::t('yee', 'Create'), ['class' => 'btn btn-primary']) ?>
                                <?= Html::a(Yii::t('yee', 'Cancel'), ['/quotes_criteria/car-model/index'], ['class' => 'btn btn-default']) ?>
                            <?php else: ?>
                                <?= Html::submitButton(Yii::t('yee', 'Save'), ['class' => 'btn btn-primary']) ?>
                                <?= Html::a(Yii::t('yee', 'Delete'),
                                    ['/quotes_criteria/car-model/delete', 'id' => $model->id], [
                                        'class' => 'btn btn-default',
                                        'data' => [
                                            'confirm' => Yii::t('yii', 'Are you sure you want to delete this item?'),
                                            'method' => 'post',
                                        ],
                                    ]) ?>
                            <?php endif; ?>
                        </div>
                    </div>
                </div>
            </div>

        </div>
    </div>

    <?php ActiveForm::end(); ?>

</div>
