<?php

namespace backend\modules\quotes_request\models;

use bedezign\yii2\audit\AuditTrailBehavior;
use common\helpers\Utility;
use Yii;
use yii\behaviors\TimestampBehavior;

/**
 * This is the model class for table "fire_insurance".
 *
 * @property int $id
 * @property string $reference_number
// * @property string $title
 * @property string $first_name
 * @property string $second_name
 * @property string $third_name
 * @property string $family_name
 * @property string $email
 * @property string $mobile_number
 * @property string $work_nature
 * @property string $location
 * @property int $created
 * @property int $updated
 */
class FireInsurance extends \yii\db\ActiveRecord
{
    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'fire_insurance';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['email', 'first_name', 'second_name', 'third_name', 'family_name', 'mobile_number', 'work_nature', 'location'], 'required'],
            [['work_nature', 'location'], 'string'],
            [['created', 'updated'], 'integer'],
            [['email'], 'email'],
            [['reference_number',  'first_name', 'second_name', 'third_name', 'family_name', 'email'], 'string', 'max' => 255],
            [['mobile_number'], 'string', 'max' => 50],
        ];
    }

    /**
     * @inheritdoc
     */
    public function behaviors()
    {
        return [
            AuditTrailBehavior::className(),
            'Timestamp' => [
                'class' => TimestampBehavior::className(),
                'createdAtAttribute' => 'created',
                'updatedAtAttribute' => 'updated',
            ],
//            BlameableBehavior::className(),
        ];
    }
    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'id' => Yii::t('site', 'ID'),
            'reference_number' => Yii::t('site', 'Reference Number'),
//            'title' => Yii::t('site', 'Title'),
            'first_name' => Yii::t('site', 'First Name'),
            'second_name' => Yii::t('site', 'Second Name'),
            'third_name' => Yii::t('site', 'Third Name'),
            'family_name' => Yii::t('site', 'Family Name'),
            'email' => Yii::t('site', 'Email'),
            'mobile_number' => Yii::t('site', 'Mobile Number'),
            'work_nature' => Yii::t('site', 'Work Nature'),
            'location' => Yii::t('site', 'Location'),
            'created' => Yii::t('site', 'Created'),
            'updated' => Yii::t('site', 'Updated'),
        ];
    }

    public function setDefaults()
    {
        $this->reference_number = Utility::create_guid();
    }

    public function getCreatedDate()
    {
        return Yii::$app->formatter->asDate(($this->isNewRecord) ? time() : $this->created);
    }

    public function getCreatedTime()
    {
        return Yii::$app->formatter->asTime(($this->isNewRecord) ? time() : $this->created);
    }
    public function getCreatedDatetime()
    {
        return "{$this->createdDate} {$this->createdTime}";
    }


    /**
     * {@inheritdoc}
     * @return FireInsuranceQuery the active query used by this AR class.
     */
    public static function find()
    {
        return new FireInsuranceQuery(get_called_class());
    }
}
