<?php

namespace backend\modules\quotes_request\models\search;

use Yii;
use yii\base\Model;
use yii\data\ActiveDataProvider;
use backend\modules\quotes_request\models\PropertyAllRiskInsurance;

/**
 * PropertyAllRiskInsuranceSearch represents the model behind the search form about `backend\modules\quotes_request\models\PropertyAllRiskInsurance`.
 */
class PropertyAllRiskInsuranceSearch extends PropertyAllRiskInsurance
{
    public $created_operand;

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['id', 'created', 'updated'], 'integer'],
            [['reference_number', 'first_name', 'second_name', 'third_name', 'family_name', 'email', 'mobile_number', 'work_nature', 'location'], 'safe'],
        ];
    }

    /**
     * @inheritdoc
     */
    public function scenarios()
    {
        // bypass scenarios() implementation in the parent class
        return Model::scenarios();
    }

    /**
     * Creates data provider instance with search query applied
     *
     * @param array $params
     *
     * @return ActiveDataProvider
     */
    public function search($params)
    {
        $query = PropertyAllRiskInsurance::find();

        $dataProvider = new ActiveDataProvider([
            'query' => $query,
            'pagination' => [
                'pageSize' => Yii::$app->request->cookies->getValue('_grid_page_size', 20),
            ],
            'sort' => [
                'defaultOrder' => [
                    'id' => SORT_DESC,
                ],
            ],
        ]);

        $this->load($params);

        if (!$this->validate()) {
            // uncomment the following line if you do not want to return any records when validation fails
            // $query->where('0=1');
            return $dataProvider;
        }

        $query->andFilterWhere([
            'id' => $this->id,
            'created' => $this->created,
            'updated' => $this->updated,
        ]);
        $query->andFilterWhere([($this->created_operand) ? $this->created_operand : '=', 'created', ($this->created) ? strtotime($this->created) : null]);

        $query->andFilterWhere(['like', 'reference_number', $this->reference_number])
            ->andFilterWhere(['like', 'first_name', $this->first_name])
            ->andFilterWhere(['like', 'second_name', $this->second_name])
            ->andFilterWhere(['like', 'third_name', $this->third_name])
            ->andFilterWhere(['like', 'family_name', $this->family_name])
            ->andFilterWhere(['like', 'email', $this->email])
            ->andFilterWhere(['like', 'mobile_number', $this->mobile_number])
            ->andFilterWhere(['like', 'work_nature', $this->work_nature])
            ->andFilterWhere(['like', 'location', $this->location]);

        return $dataProvider;
    }
}
