<?php

use backend\modules\quotes_criteria\models\CarBrand;
use backend\modules\quotes_criteria\models\CarModel;
use backend\modules\quotes_request\forms\MotorInsuranceForm;
use yii\widgets\DetailView;
use yeesoft\helpers\Html;

/* @var $this yii\web\View */
/* @var $model backend\modules\quotes_request\models\MotorInsurance */

$this->title = $model->id;
$this->params['breadcrumbs'][] = ['label' => 'Motor Insurances', 'url' => ['index']];
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="motor-insurance-view">

    <h3 class="lte-hide-title"><?= Html::encode($this->title) ?></h3>

    <div class="panel panel-default">
        <div class="panel-body">

            <p>
                <?= Html::a('Edit', ['/quotes_request/motor/update', 'id' => $model->id],
                    ['class' => 'btn btn-sm btn-primary'])
                ?>

                <?php Html::a('Delete', ['/quotes_request/motor/delete', 'id' => $model->id],
                    [
                        'class' => 'btn btn-sm btn-default',
                        'data' => [
                            'confirm' => Yii::t('yii', 'Are you sure you want to delete this item?'),
                            'method' => 'post',
                        ],
                    ])
                ?>

                <?php echo  Html::a('Accept', ['/quotes_request/motor/accept', 'id' => $model->id],
                    [
                        'class' => 'btn btn-sm btn-success',
                        'data' => [
                            //'confirm' => Yii::t('yii', 'Are you sure you want to delete this item?'),
                            'method' => 'post',
                        ],
                    ])
                ?>
                <?= Html::a(Yii::t('yee', 'Reject'), ['/quotes_request/motor/reject', 'id' => $model->id],
                    ['class' => 'btn btn-sm btn-danger'])
                ?>
                <?= Html::a(Yii::t('yee', 'Change Price'), ['/quotes_request/motor/change-price', 'id' => $model->id],
                    ['class' => 'btn btn-sm btn-info'])
                ?>
            </p>


            <?php
            try {
                echo DetailView::widget([
                    'model' => $model,
                    'attributes' => [
                        'id',
                        'reference_number',
                        'first_name',
                        'second_name',
                        'third_name',
                        'family_name',
                        'email:email',
                        'mobile_number',
                        'registration_status',
                        [
                            'attribute' => 'vehicle_type',
                            'value' => function ($model) {
                                return CarBrand::findOne($model->vehicle_type)->title;
                            }
                        ],
                        [
                            'attribute' => 'car_model',
                            'value' => function ($model) {
                                return CarModel::findOne($model->car_model)->title;
                            }
                        ],
                        'manufacturing_year',
                        'amount_of_insurance',
                        'fuel_type',
                        'repair_agency:boolean',
                        'name_of_insured',
                        'via',
                        'beneficiary_name',

                        [
                            'attribute' => 'city',
                            'value' => function ($model) {
                                return ($model->city);
                            }
                        ],
                        [
                            'attribute' => 'district',
                            'value' => function ($model) {
                                return ($model->district);
                            }
                        ],
                        [
                            'attribute' => 'street',
                            'value' => function ($model) {
                                return ($model->street);
                            }
                        ],
                        'building_number',
                        'home_number',
                        [
                            'attribute' => 'gender',
                            'value' => function ($model) {
                                return \common\helpers\Utility::getGenderList()[$model->gender];
                            }
                        ],
                        'date_of_birth',
                        'career',
                        'plate_Number',
                        'vin_number',
                        'engine_serial_number',
                        'national_number',
                        'registration_number',
                        'driving_license_file',
                        'Identity_commercial_file',
                        'created:date',
                        'updated:date',
                        'initial_price',
                        'final_price',
                        'request_status',
                        'reject_reason',
                    ],
                ]);
            } catch (Exception $e) {
            }
            ?>

        </div>
    </div>

</div>
