<?php

use yeesoft\grid\GridPageSize;
use yeesoft\grid\GridQuickLinks;
use yeesoft\grid\GridView;
use yeesoft\helpers\Html;
use yeesoft\models\User;
use yii\helpers\Url;
use yii\widgets\Pjax;
use backend\modules\transcation\models\Transcation;

/* @var $this yii\web\View */
/* @var $searchModel \backend\modules\transcation\models\search\TranscationSearch */
/* @var $model \backend\modules\transcation\models\Transcation */
/* @var $dataProvider yii\data\ActiveDataProvider */

$this->title = Yii::t('site', 'transcation');
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="page-index">

    <div class="row">
        <div class="col-sm-12">
           
        </div>
    </div>

    <div class="panel panel-default">
        <div class="panel-body">

            <div class="row">
                <div class="col-sm-6">
                    <?=
                    GridQuickLinks::widget([
                        'model' => Transcation::className(),
                       
                        'searchModel' => $searchModel,
                        'labels' => [
                            'all' => Yii::t('yee', 'All'),
                        ],
                    ]) ?>
                </div>

                <div class="col-sm-6 text-right">
                    <?= GridPageSize::widget(['pjaxId' => 'page-grid-pjax']) ?>
                </div>
            </div>

            <?php Pjax::begin(['id' => 'page-grid-pjax']) ?>

            <?php
            try {
                
                echo GridView::widget([
                    'id' => 'trasaction-grid',
                    'dataProvider' => $dataProvider,
                    'filterModel' => $searchModel,
                    'bulkActionOptions' => [
                        'gridId' => 'transcation-grid',
                        'actions' => [''] //Configure here you bulk actions
                    ],
                    'columns' => [
                        ['class' => \yii\grid\SerialColumn::className()],
                        'reference_no',
                        [
                            'attribute' => 'user name' ,
                            'value' => function (Transcation $model) {
                                $function = $model->getuser_id($model->user_id);
                                return $function;
                            },
                            'format' => 'raw',
                        ],
                        [
                            'attribute' => 'vehicle name' ,
                            'value' => function (Transcation $model) {
                                $function = $model->getvehicle_id($model->vehicle_id);
                                return $function;
                            },
                            'format' => 'raw',
                        ],
                        'description',
                        [
                            'attribute' => 'payment type' ,
                            'value' => function (Transcation $model) {
                                $function = $model->getStatusText();
                                return $function;
                            },
                            'format' => 'raw',
                        ],
                        'amount',
                       
                       
                    ]
                ]);
                
            } catch (Exception $e) {
                var_dump($e->getMessage());
            }
            
            ?>

            <?php Pjax::end() ?>
        </div>
    </div>
</div>


