<?php

namespace backend\modules\vehicle\controllers;

use Yii;
use backend\modules\dropdown_list\models\DropdownList;
use backend\modules\vehicle\models\VehicleImages;
use yeesoft\controllers\admin\BaseController;
use yii\helpers\Url;

/**
 * DefaultController implements the CRUD actions for backend\modules\vehicle\models\Vehicle model.
 */
class DefaultController extends BaseController 
{
    public $modelClass       = 'backend\modules\vehicle\models\Vehicle';
    public $modelSearchClass = 'backend\modules\vehicle\models\search\VehicleSearch';

    protected function getRedirectPage($action, $model = null)
    {
        switch ($action) {
            case 'update':
                return ['update', 'id' => $model->id];
                break;
            case 'create':
                return ['update', 'id' => $model->id];
                break;
            default:
                return parent::getRedirectPage($action, $model);
        }
    }

    public function actionDeleteImage($id, $path)
    {

        $model = VehicleImages::findOne(['vehicle_id' => $id, 'path' => $path]);


        if ($model) {
            $model->delete();
        }

        return $this->redirect(Yii::$app->request->referrer);

    }
    public function actionSetFrontImage()
    {

        $id = Yii::$app->request->post('model_id');
        $imgID = Yii::$app->request->post('image_id');

        VehicleImages::updateAll(['on_front' => 0], ['vehicle_id' => $id]);
        $model = VehicleImages::findOne([$imgID]);


        if ($model) {
            $model->on_front = 1;
            $model->save(false);
        }

        return $this->redirect(Yii::$app->request->referrer);

    }

    public function actionManufacturerModel()
    {
        \Yii::$app->response->format = \yii\web\Response::FORMAT_JSON;
        $id = Yii::$app->request->get('id');
        $lang = \Yii::$app->language;
        $model = Yii::$app->db->createCommand("SELECT DF.id, DS.title from dropdown_list DF, dropdown_list_lang DS WHERE DF.id = DS.parent_id and DF.parent_id = '$id' AND DF.category='VehicleModelManufacturer' and DS.language = '$lang' ORDER BY 
                                                        CASE 
                                                            WHEN DS.title = 'Other'
                                                            THEN 1
                                                            ELSE 0
                                                        END ASC
                                                     , DS.title ASC  ")->queryAll();
        // array_unshift($model,[ 'id' => 0, 'title' => 'Other' ]);
        //echo 1;exit;
        return $model;
    }
    public function actionView($id){
        return $this->redirect(Url::toRoute(['/car-images/upload-images?id='.$id]));
    }
}