<?php

use yii\widgets\DetailView;
use yeesoft\helpers\Html;

/* @var $this yii\web\View */
/* @var $model backend\modules\vehicle\models\Vehicle */

$this->title = $model->id;
$this->params['breadcrumbs'][] = ['label' => 'Owners', 'url' => ['index']];
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="vehicle-view">

    <h3 class="lte-hide-title"><?=  Html::encode($this->title) ?></h3>

    <div class="panel panel-default">
        <div class="panel-body">

            <p>
                <?=                 Html::a('Edit', ['/vehicle/owner/update', 'id' => $model->id],
                    ['class' => 'btn btn-sm btn-primary'])
                ?>
                <?=                 Html::a('Delete', ['/vehicle/owner/delete', 'id' => $model->id],
                    [
                    'class' => 'btn btn-sm btn-default',
                    'data' => [
                        'confirm' => Yii::t('yii', 'Are you sure you want to delete this item?'),
                        'method' => 'post',
                    ],
                ])
                ?>
                <?=                 Html::a(Yii::t('yee', 'Add New'), ['/vehicle/owner/create'],
                    ['class' => 'btn btn-sm btn-primary pull-right'])
                ?>
            </p>


            <?=             DetailView::widget([
                'model' => $model,
                'attributes' => [
            'id',
            'slug',
            'status',
//            'owner_id',
//            'price',
//            'model_year',
//            'odometer_km',
//            'odometer_mile',
//            'color_id',
//            'interior_color_id',
//            'front_left_status',
//            'front_right_status',
//            'back_left_status',
//            'back_right_status',
//            'body_type_id',
//            'cylinders_id',
//            'capacity',
//            'engine_id',
//            'power',
//            'rim_size',
//            'transmission_id',
//            'drive_id',
//            'video_file',
//            'manufacturer_id',
            'created_at',
            'updated_at',
            'created_by',
            'updated_by',
                ],
            ])
            ?>

        </div>
    </div>

</div>
