<?php

namespace yeesoft\user\controllers;

use yeesoft\controllers\admin\BaseController;
use common\models\User;
use Yii;
use yii\web\NotFoundHttpException;

/**
 * DefaultController implements the CRUD actions for User model.
 */
class DefaultController extends BaseController
{

    public $disabledActions = ['delete', 'view'];

    /**
     * @var User
     */
    public $modelClass = 'common\models\User';

    /**
     * @var UserSearch
     */
    public $modelSearchClass = 'common\models\search\UserSearch';

//    public $disabledActions = ['view'];

    protected function getRedirectPage($action, $model = null)
    {
        switch ($action) {
            case 'delete':
                return ['index'];
                break;
            case 'update':
                return ['update', 'id' => $model->id];
                break;
            case 'create':
                return ['update', 'id' => $model->id];
                break;
            default:
                return ['index'];
        }
    }
    
    /**
     * @return mixed|string|\yii\web\Response
     */
    public function actionCreate()
    {
        $model = new User();

        if ($model->load(Yii::$app->request->post()) && $model->save()) {
            return $this->redirect(['update', 'id' => $model->id]);
        }

        return $this->renderIsAjax('create', compact('model'));
    }

    /**
     * @param int $id User ID
     *
     * @throws \yii\web\NotFoundHttpException
     * @return string
     */
    public function actionChangePassword($id)
    {
        $model = User::findOne($id);

        if (!$model) {
            throw new NotFoundHttpException(Yii::t('yee/user', 'User not found'));
        }


        if ($model->load(Yii::$app->request->post()) && $model->save()) {
            Yii::$app->session->setFlash('crudMessage', Yii::t('yee/auth', 'Password has been updated'));
            return $this->redirect(['change-password', 'id' => $model->id]);
        }

        return $this->renderIsAjax('changePassword', compact('model'));
    }


    /**
     * Displays a single model.
     *
     * @param integer $id
     *
     * @return mixed
     */
//    public function actionView($id)
//    {
//
//        $user = $this->findModel($id);
//
//        $params['user'] = $user;
//        $params['personalInformation'] = $user->personalInformation;
//        $params['educations'] = $user->educations;
//        $params['certificates'] = $user->certificates;
//        $params['userFileDataProvider'] = $user->getFilesDataProvider();
//        $params['employeeHistories'] = $user->employeeHistories;
////        $params['generalQuestions'] = $user->getGeneralQuestions($vacancy->id);
////        $params['doctorQuestionnaires'] = $user->getDoctorQuestionnaires($vacancy->id);
//
//        return $this->renderIsAjax('view', $params);
//    }
}