<?php

use yeesoft\widgets\ActiveForm;
use backend\modules\youtube\models\YoutubeLinks;
use yeesoft\helpers\Html;

/* @var $this yii\web\View */
/* @var $model backend\modules\youtube\models\YoutubeLinks */
/* @var $form yeesoft\widgets\ActiveForm */
?>

<div class="youtube-form">

    <?php 
    $form = ActiveForm::begin([
            'id' => 'youtube-form',
            'validateOnBlur' => false,
        ])
    ?>
    <?= $form->errorSummary($model, ['class' => 'alert alert-danger']); ?>


    <div class="row">
        <div class="col-md-9">

            <div class="panel panel-default">
                <div class="panel-body">

                    <?php if ($model->isMultilingual()): ?>
                        <?= \yeesoft\widgets\LanguagePills::widget() ?>
                    <?php endif; ?>
                    <?= $form->field($model, 'title')->textInput() ?>
                    <?= $form->field($model, 'slug')->textInput() ?>
                    <?= $form->field($model, 'url')->textarea(['rows' => 6]) ?>
                    <?= $form->field($model, 'description')->textarea(['rows' => 6]) ?>
                    <?= $form->field($model, 'status')->dropDownList(\backend\modules\news\models\News::getStatusList()) ?>

                    <?= $form->field($model, 'cover_image')->widget(yeesoft\media\widgets\FileInput::className(), [
                        'name' => 'cover_image',
                        'buttonTag' => 'button',
                        'buttonName' => Yii::t('yee', 'Browse'),
                        'buttonOptions' => ['class' => 'btn btn-default btn-file-input'],
                        'options' => ['class' => 'form-control'],
                        'template' => '<div class="youtubelinks-cover_image thumbnail"></div><div class="input-group">{input}<span class="input-group-btn">{button}</span></div>',
                        'thumb' => $this->context->module->thumbnailSize,
                        'imageContainer' => '.youtubelinks-cover_image',
                        'pasteData' => yeesoft\media\widgets\FileInput::DATA_URL,
                        'callbackBeforeInsert' => 'function(e, data) {
                                $(".youtubelinks-cover_image").show();
                            }',
                    ]) ?>
                </div>

            </div>
        </div>

        <div class="col-md-3">

            <div class="panel panel-default">
                <div class="panel-body">
                    <div class="record-info">
                        <div class="form-group clearfix">
                            <label class="control-label" style="float: left; padding-right: 5px;"><?=  $model->attributeLabels()['id'] ?>: </label>
                            <span><?=  $model->id ?></span>
                        </div>

                        <div class="form-group">
                            <?php  if ($model->isNewRecord): ?>
                                <?= Html::submitButton(Yii::t('yee', 'Create'), ['class' => 'btn btn-primary']) ?>
                                <?= Html::a(Yii::t('yee', 'Cancel'), ['/youtube/default/index'], ['class' => 'btn btn-default']) ?>
                            <?php  else: ?>
                                <?= Html::submitButton(Yii::t('yee', 'Save'), ['class' => 'btn btn-primary']) ?>
                                <?= Html::a(Yii::t('yee', 'Delete'),
                                    ['/youtube/default/delete', 'id' => $model->id], [
                                    'class' => 'btn btn-default',
                                    'data' => [
                                        'confirm' => Yii::t('yii', 'Are you sure you want to delete this item?'),
                                        'method' => 'post',
                                    ],
                                ]) ?>
                            <?php endif; ?>
                        </div>
                    </div>
                </div>
            </div>

        </div>
    </div>

    <?php  ActiveForm::end(); ?>

</div>


<?php


$js = <<<JS
    var image = $("#youtubelinks-cover_image").val();
    if(image.length == 0){
        $('.youtubelinks-cover_image').hide();
    } else {
        $('.youtubelinks-cover_image').html('<img src="' + image + '" />');
    }
JS;

$this->registerJs($js, yii\web\View::POS_END);
?>
