<?php
/**
 * Created by PhpStorm.
 * User: ajoudeh
 * Date: 7/5/18
 * Time: 10:05 PM
 */

use dosamigos\google\maps\Event;
use dosamigos\google\maps\LatLng;
use dosamigos\google\maps\Map;
use dosamigos\google\maps\overlays\InfoWindow;
use dosamigos\google\maps\overlays\Marker;
use yeesoft\settings\assets\SettingsAsset;
use yeesoft\widgets\ActiveForm;
use kartik\helpers\Html;

/* @var $this yii\web\View */
/* @var $model backend\models\SiteSettings */
/* @var $form yeesoft\widgets\ActiveForm */


$this->title = Yii::t('yee/settings', 'Site Settings');
$this->params['breadcrumbs'][] = $this->title;


SettingsAsset::register($this);
?>

    <div class="page-form">

        <?php
        $form = ActiveForm::begin([
            'id' => 'setting-form',
            'validateOnBlur' => false,
        ])
        ?>
        <?= $form->errorSummary($model, ['class' => 'alert alert-danger']); ?>

        <div class="row">

            <div class="col-md-6">

                <div class="panel panel-default">
                    <div class="panel-body">
                        <?php if ($model->isMultilingual()): ?>
                            <?= \yeesoft\widgets\LanguagePills::widget() ?>
                        <?php endif; ?>


                        <?= $form->field($model, 'phone')->textInput(['maxlength' => true])->hint($model->getDescription('phone')) ?>
                        <?php $form->field($model, 'alternative_phone')->textInput(['maxlength' => true])->hint($model->getDescription('alternative_phone')) ?>
                        <?= $form->field($model, 'fax')->textInput(['maxlength' => true])->hint($model->getDescription('fax')) ?>
                        <?php $form->field($model, 'info_email')->textInput(['maxlength' => true])->hint($model->getDescription('info_email')) ?>
                        <?= $form->field($model, 'contact_us_email')->textInput(['maxlength' => true])->hint($model->getDescription('contact_us_email')) ?>
                        <?= $form->field($model, 'facebook_link')->textInput(['maxlength' => true])->hint($model->getDescription('facebook_link')) ?>
                        <?= $form->field($model, 'twitter_link')->textInput(['maxlength' => true])->hint($model->getDescription('twitter_link')) ?>
                        <?php $form->field($model, 'youtube_link')->textInput(['maxlength' => true])->hint($model->getDescription('youtube_link')) ?>
                        <?= $form->field($model, 'instagram_link')->textInput(['maxlength' => true])->hint($model->getDescription('instagram_link')) ?>
                        <?php $form->field($model, 'booking_details')->textInput(['maxlength' => true])->hint($model->getDescription('booking_details')) ?>
                        <?php echo
                        $form->field($model, 'contact_us_img', ['multilingual' => true])->widget(yeesoft\media\widgets\FileInput::className(), [
                            'buttonTag' => 'button',
                            'buttonName' => Yii::t('site', 'Browse'),
                            'buttonOptions' => ['class' => 'btn btn-default btn-file-input'],
                            'options' => ['class' => 'form-control'],
                            'pasteData' => yeesoft\media\widgets\FileInput::DATA_URL,
                            'thumb' => 'original',


                        ]) ?>
                        <?php echo $form->field($model, 'address', ['multilingual' => true])->textInput(['maxlength' => true]) ?>
                        <?php echo $form->field($model, 'map_iframe_src')->textInput(['maxlength' => true]) ?>

<!--

                    <? /*= $form->field($model, 'for_doctor_text', ['multilingual' => true])->widget(\yeesoft\media\widgets\TinyMce::className(), [
                        'clientOptions' => [
                            'height' => 100,
                            'image_dimensions' => true,
                            'entity_encoding' => 'raw',
                            'plugins' => [
                                'directionality code print preview fullpage searchreplace autolink directionality visualblocks visualchars fullscreen image link media template codesample table charmap hr pagebreak nonbreaking anchor toc insertdatetime advlist lists textcolor wordcount imagetools   contextmenu colorpicker textpattern',
                            ],
                            'toolbar' => 'undo redo | styleselect fontsizeselect bold italic | ltr rtl | alignleft aligncenter alignright alignjustify bullist numlist outdent indent | pagebreak link image table | forecolor backcolor | removeformat | code',

                        ]
                    ]); */ ?>


                   <? /*= $form->field($model, 'for_patient_text', ['multilingual' => true])->widget(\yeesoft\media\widgets\TinyMce::className(), [
                        'clientOptions' => [
                            'height' => 100,
                            'image_dimensions' => true,
                            'entity_encoding' => 'raw',
                            'plugins' => [
                                'directionality code print preview fullpage searchreplace autolink directionality visualblocks visualchars fullscreen image link media template codesample table charmap hr pagebreak nonbreaking anchor toc insertdatetime advlist lists textcolor wordcount imagetools   contextmenu colorpicker textpattern',
                            ],
                            'toolbar' => 'undo redo | styleselect fontsizeselect bold italic | ltr rtl | alignleft aligncenter alignright alignjustify bullist numlist outdent indent | pagebreak link image table | forecolor backcolor | removeformat | code',

                        ]
                    ]); */ ?>-->


                    </div>
                </div>
                <div class="panel panel-default">
                    <div class="panel-body">
                        <div class="record-info">

                            <div class="form-group">

                                <?php Html::submitButton(Yii::t('yee', 'Save'), ['class' => 'btn btn-primary']) ?>

                            </div>
                        </div>
                    </div>
                </div>

            </div>

            <div class="col-md-6" style="">

                <div class="panel panel-default">
                    <div class="panel-body">
                        <div class="record-info">

                            <div class="form-group">

                                <?= $form->field($model, 'vehicle_page_size')->textInput(['maxlength' => true])->hint($model->getDescription('phone')) ?>
                                <?php $form->field($model, 'event_page_size')->textInput(['maxlength' => true])->hint($model->getDescription('phone')) ?>
                                <?php $form->field($model, 'album_page_size')->textInput(['maxlength' => true])->hint($model->getDescription('phone')) ?>
                                <?php $form->field($model, 'medical_page_size')->textInput(['maxlength' => true])->hint($model->getDescription('phone')) ?>
                                <?= $form->field($model, 'news_page_size')->textInput(['maxlength' => true])->hint($model->getDescription('phone')) ?>


                                <?= Html::submitButton(Yii::t('yee', 'Save'), ['class' => 'btn btn-primary']) ?>

                            </div>
                        </div>
                    </div>
                </div>

                <div class="panel panel-default" style="display: none;">
                    <div class="panel-body">

                        <div class="record-info">


                            <?php  $form->field($model, 'contact_us_text', ['multilingual' => true])->textarea(['rows' => 10]) ?>

                            <?php  $form->field($model, 'homepage_offer_title', ['multilingual' => true])->textInput(['maxlength' => true]) ?>
                            <?php  $form->field($model, 'homepage_offer_brief', ['multilingual' => true])->textarea(['rows' => 10]) ?>


                            <?php  $form->field($model, 'homepage_instagram_title', ['multilingual' => true])->textInput(['maxlength' => true]) ?>
                            <?php  $form->field($model, 'homepage_instagram_brief', ['multilingual' => true])->textarea(['rows' => 10]) ?>


                            <!--

                                                <? /*= $form->field($model, 'working_day_from', ['multilingual' => true])->textInput(['maxlength' => true]) */ ?>
                                                <? /*= $form->field($model, 'working_day_to', ['multilingual' => true])->textInput(['maxlength' => true]) */ ?>
                                                <? /*= $form->field($model, 'working_hour_from', ['multilingual' => true])->textInput(['maxlength' => true]) */ ?>
                                                <? /*= $form->field($model, 'working_hour_to', ['multilingual' => true])->textInput(['maxlength' => true]) */ ?>

                        -->
                            <!--                        --><?php //$form->field($model, 'cities_title', ['multilingual' => true])->textInput(['maxlength' => true]) ?>


                        </div>
                    </div>
                </div>

            </div>
        </div>

        <?php ActiveForm::end(); ?>

    </div>


<?php


$js = <<<JS
   
    var image = $("#sitesettings-homepage_image").val();
    if(image.length == 0){
        $('.post-image').hide();
    } else {
        $('.post-image').html('<img src="' + image + '" />');
    }
    

JS;

$this->registerJs($js, yii\web\View::POS_END);
?>