<?php
$config = [
    'name' => 'Oto.jo',
    'aliases' => [
        '@bower' => '@vendor/bower-asset',
        '@npm'   => '@vendor/npm-asset',
    ],
    'vendorPath' => dirname(dirname(__DIR__)) . '/vendor',
    'language' => 'en',
    'modules' => [
        'translatemanager' =>[
            'class' => \lajax\translatemanager\Module::class,
            'root' => '@app',
            'scanRootParentDirectory' => true,
            'layout' => null,
            'allowedIPs' => ['*'],
            'roles' => ['@'],
            'tmpDir' => dirname(dirname(__DIR__)).'/backend/runtime',
            'phpTranslators' => ['::t'],
            'jsTranslators' => ['lajax.t'],
            'patterns' => ['*.js', '*.php'],
            'onlyCategories' => ['app', 'yii', 'auto','kvselect','kvgrid'],
            'ignoredItems' => ['config'],
            'scanTimeLimit' => null,
            'searchEmptyCommand' => '!',
            'defaultExportStatus' => 1,
            'defaultExportFormat' => 'json',
            'tables' => [
                [
                    'connection' => 'db',
                    'table' => '{{%language}}',
                    'columns' => ['name', 'name_ascii'],
                    'category' => 'database-table-name',
                ]
            ],
            'controllerMap' => [
                'translator'=>
                    \backend\modules\translatemanager\controllers\TranslatorController::class,
                'language'=>
                    \lajax\translatemanager\controllers\LanguageController::class
            ]
        ],
        'audit' => [
            'class' => 'bedezign\yii2\audit\Audit',
            'userIdentifierCallback' => [\common\models\User::className(), 'userIdentifierCallback'],
            'accessRoles' => ['Administrator'],
            'accessUsers' => [1],
            'ignoreActions' => ['audit/*', 'debug/*'],

            'panels' => [
                //'audit/request',
                //'audit/error',
                'audit/trail',
                //'app/views' => [
                //'class' => 'app\panels\ViewsPanel',
                // ...
                //],
            ],

        ],
    ],
    'components' => [
        'authManager' => [
            'class' => \yii\rbac\DbManager::class,
        ],
        'yee' => [
            'class' => 'yeesoft\Yee',
            'emailConfirmationRequired' => false,
            'confirmationTokenExpire' => 120,
//            'defaultRoles' => [''],
            'languages' => [
                'en-US' => 'English',
                'ar-AR' => 'العربية'
            ],
            'languageRedirects' => [
                'en-US' => 'en-US',
            ]
        ],
        'geoip' => [
            'class' => 'lysenkobv\GeoIP\GeoIP'
        ],
        'formatter' => [
            'locale' => 'en',//force use english format
        ],
       /* 'solr' => [
            'class' => \common\components\SolrSearch::className(),
            'options' => [
                'localhost' => array(
                    'host' => '127.0.0.1',
                    'port' => 8983,
                    'path' => '/solr/AUTOS',


                )
            ]
        ],*/
        'reCaptcha' => [
            'name' => 'reCaptcha',
            'class' => 'himiklab\yii2\recaptcha\ReCaptcha',
            'siteKey' => '6LcVJGYUAAAAAGTGaIRa6uARNyd2kc4RU3XQNgLZ',
            'secret' => '6LcVJGYUAAAAAOKLVjxq0Y4pFCdsbj1qnirmcCBr',
        ],
        'assetManager' => [
            'appendTimestamp' => true,
            'bundles' => [
                'dosamigos\google\maps\MapAsset' => [
                    'options' => [
                        'key' => @Yii::$app->params['googleMapsApiKey'],
                        'language' => 'en',
                        'version' => '3.1.18'
                    ]
                ]
            ]
        ],
        'settings' => [
            'class' => 'yeesoft\components\Settings'
        ],
        'cache' => [
            'class' => 'yii\caching\FileCache',
            'cachePath' => Yii::getAlias('@frontend') . '/runtime/cache'

        ],
        'user' => [
            'class' => 'yeesoft\components\User',
            'on afterLogin' => function ($event) {
                // \yeesoft\models\UserVisitLog::newVisitor($event->identity->id);
                // $event->identity->getProfile();
            }
        ],
        'i18n' => [
            'translations' => [
                'kvpwdstrength' => [
                    'class' => 'yeesoft\db\DbMessageSource',
                    'sourceLanguage' => 'en',
                    'forceTranslation' => true,
                ],
                'yii' => [
                    'class' => 'yeesoft\db\DbMessageSource',
                    'sourceLanguage' => 'en',
                    'forceTranslation' => true,
                ],
                'vote' => [
                    'class' => 'yeesoft\db\DbMessageSource',
                    'sourceLanguage' => 'en',
                    'forceTranslation' => true,
                ],
                '*' => [
                    'class' => 'yeesoft\db\DbMessageSource',
                    'sourceLanguage' => 'en',
                    'forceTranslation' => true,
                ],
            ]
        ],
        'mailer' => [
			'class' => 'yii\swiftmailer\Mailer',
			//'viewPath' => '@common/mail',
			'useFileTransport' => false,

			'transport' => [
				'class' => 'Swift_SmtpTransport',
			//	'host' => 'sxb1plmcpnl491504.prod.sxb1.secureserver.net',
                //'username' => 'info@oto.jo',
               // 'password' => '2,sNLB2AE+6m',
               // 'port' => '465',
               // 'encryption' => 'ssl',
//		'host' => 'smtp.office365.com',
//                'username' => 'info@oto.jo',
//                'password' => 'Otosellcar@2022',
//                'port' => '587',
//                'encryption' => 'starttls',
		'host' => 'localhost',
		'port' => 25,

			],
        ],

    ],

];

if (false && YII_DEBUG){
    $config['bootstrap'][] = 'debug';
    $config['modules']['debug'] = [
        'class'  => 'yii\debug\Module',
        'panels'  => [
            'queue' => \yii\debug\Panel::class,
        ],
        'allowedIPs' => [''],
    ];
}
return $config;
