<?php
/**
 * Created by PhpStorm.
 * User: ajoudeh
 * Date: 7/5/18
 * Time: 11:30 PM
 */

namespace common\helpers;


use Yii;
use api\models\ApiLog;
use backend\modules\header_image\models\HeaderImage;
use backend\modules\news\models\News;
use backend\modules\vehicle\models\Vehicle;
use common\models\Countries;
use yeesoft\media\models\Media;
use yeesoft\page\models\Page;
use yeesoft\post\models\Post;
use yii\helpers\ArrayHelper;
use yii\helpers\Inflector;
use yii\helpers\Url;
use yii\web\UploadedFile;

class Utility
{

    const STATUS_PENDING = 0;
    const STATUS_PUBLISHED = 1;
    const COMMENT_STATUS_CLOSED = 0;
    const COMMENT_STATUS_OPEN = 1;


    public static $CITIES =
        ['Amman' => 'Amman', 'Irbid' => 'Irbid', 'Zarqa' => 'Zarqa'];
    public static $VACANCY_MAIN_CATEGORY =
        ['' => '', 'VACANCY_DOCTOR' => 'DOCTOR', 'VACANCY_ADMIN' => 'ADMIN', 'VACANCY_Allied_Health' => 'Allied Health'];


    public static function var_dump($data)
    {
        echo highlight_string("<?php\n\n" . var_export($data, true) . ";\n?>");

    }

// Function to get the client ip address
    public static function get_client_ip_address()
    {
        if (@$_SERVER['HTTP_CLIENT_IP'])
            $ipaddress = $_SERVER['HTTP_CLIENT_IP'];
        else if (@$_SERVER['HTTP_X_FORWARDED_FOR'])
            $ipaddress = $_SERVER['HTTP_X_FORWARDED_FOR'];
        else if (@$_SERVER['HTTP_X_FORWARDED'])
            $ipaddress = $_SERVER['HTTP_X_FORWARDED'];
        else if (@$_SERVER['HTTP_FORWARDED_FOR'])
            $ipaddress = $_SERVER['HTTP_FORWARDED_FOR'];
        else if (@$_SERVER['HTTP_FORWARDED'])
            $ipaddress = $_SERVER['HTTP_FORWARDED'];
        else if (@$_SERVER['REMOTE_ADDR'])
            $ipaddress = $_SERVER['REMOTE_ADDR'];
        else
            $ipaddress = 'UNKNOWN';

        return $ipaddress;
    }


    public static function textTruncate($text, $chars = 25)
    {
        if (strlen($text) <= $chars) {
            return $text;
        }
        $text = $text . " ";
        $text = substr($text, 0, $chars);
        $text = substr($text, 0, strrpos($text, ' '));
        $text = $text . "...";
        return $text;
    }

    public static function dateDifference($date_1, $date_2, $differenceFormat = '%a')
    {
        $datetime1 = date_create($date_1);
        $datetime2 = date_create($date_2);

        $interval = date_diff($datetime1, $datetime2);

        return $interval->format($differenceFormat);

    }

    public static function getHeaderImage($model, $path)
    {

        $lng = Yii::$app->language;
        // For global pages
        if (!$model) {
            /* @var $model Page */
            if ($headerImage = HeaderImage::findOne(['path' => $path])) {
                return $headerImage->image;
            } else {
                return "/images/inner-banner-$lng.jpg";
            }
        }

        if ($model instanceof Page) {
            /* @var $model Page */
            if ($model->image_header) {
                return $model->image_header;
            }
            if ($headerImage = HeaderImage::findOne(['path' => $path])) {
                return $headerImage->image;
//            } elseif ($headerImage = HeaderImage::findOne(['path' => '/' . \Yii::$app->language . "/*"])) {
//                return $headerImage->image;
            }
//            else {
//                return "/images/inner-banner-$lng.png";
//            }
        }


            if ($model instanceof Vehicle) {
                /* @var $model Page */
                if (isset($model->image_header)) {
                    return $model->image_header;
                }
                if ($headerImage = HeaderImage::findOne(['path' => $path])) {
                    return $headerImage->image;
    //            } elseif ($headerImage = HeaderImage::findOne(['path' => '/' . \Yii::$app->language . "/*"])) {
    //                return $headerImage->image;
                }
    //            else {
    //                return "/images/inner-banner-$lng.png";
    //            }
            }


//        if ($model instanceof RecruitmentGuidance) {
//            /* @var $model Page */
//            if ($model->image_header) {
//                return $model->image_header;
//            }
//            if ($headerImage = HeaderImage::findOne(['path' => $path])) {
//                return $headerImage->image;
//            } elseif ($headerImage = HeaderImage::findOne(['path' => '/' . \Yii::$app->language . '/career/*'])) {
//                return $headerImage->image;
//            } else {
//                return '/images/recruitment-guidance-banner.png';
//            }
//        }


//        if($model instanceof Achievement){
//            /* @var $model News*/
//            if($model->image_header){
//                return $model->image_header;
//            }elseif($headerImage = HeaderImage::findOne(['path' => $path])){
//                return $headerImage->image;
//            }elseif ($headerImage = HeaderImage::findOne(['path' => '/' . \Yii::$app->language . '/achievement/*'])){
//                return $headerImage->image;
//            }else{
//                return '/images/header.png';
//            }
//        }
//        if($model instanceof Product){
//            /* @var $model News*/
//            if($model->image_header){
//                return $model->image_header;
//            }elseif($headerImage = HeaderImage::findOne(['path' => $path])){
//                return $headerImage->image;
//            }elseif ($headerImage = HeaderImage::findOne(['path' => '/' . \Yii::$app->language . '/product/*'])){
//                return $headerImage->image;
//            }else{
//                return '/images/header.png';
//            }
//        }
        if ($model instanceof News) {
            /* @var $model News */
            if ($model->image_header) {
                return $model->image_header;
            } elseif ($headerImage = HeaderImage::findOne(['path' => $path])) {
                return $headerImage->image;
            } elseif ($headerImage = HeaderImage::findOne(['path' => '/' . \Yii::$app->language . '/news/*'])) {
                return $headerImage->image;
            }
//            else {
//                return "/images/inner-banner-$lng.png";
//            }
        }
        if ($model instanceof Post) {
            /* @var $model News */
            if ($headerImage = HeaderImage::findOne(['path' => $path])) {
                return $headerImage->image;
            } elseif ($headerImage = HeaderImage::findOne(['path' => '/' . \Yii::$app->language . '/posts/*'])) {
                return $headerImage->image;
            }
//            else {
//                return "/images/inner-banner-$lng.png";
//            }
        }
//
//        if($model instanceof Album){
//            /* @var $model Page*/
//            if($headerImage = HeaderImage::findOne(['path' => $path])){
//                return $headerImage->image;
//            }elseif ($headerImage = HeaderImage::findOne(['path' => '/' . \Yii::$app->language . '/album/*'])){
//                return $headerImage->image;
//            }else{
//                return '/images/header.png';
//            }
//        }

        return "/images/inner-banner.jpg";

    }

    public static function getFileIcon($type)
    {
        switch ($type) {
            case 'application/vnd.openxmlformats-officedocument.spreadsheetml.sheet':
            case 'application/vnd.ms-excel':
                return '<i class="far fa-file-excel" style="font-size:60px;color:#009EE2"></i>';
            case 'application/vnd.openxmlformats-officedocument.wordprocessingml.document':
            case 'application/msword':
                return '<i class="far fa-file-word" style="font-size:60px;color:#009EE2"></i>';
            case 'application/pdf':
                return '<i class="far fa-file-pdf" style="font-size:60px;color:#009EE2"></i>';
            case 'image/png':
            case 'image/jpeg':
                return '<i class="far fa-file-image" style="font-size:60px;color:#009EE2"></i>';
            default:
                return '<i class="far fa-file" style="font-size:60px;color:#009EE2"></i>';

        }
    }

    public static function create_guid()
    {
        $microTime = microtime();
        list($a_dec, $a_sec) = explode(" ", $microTime);

        $dec_hex = dechex($a_dec * 1000000);
        $sec_hex = dechex($a_sec);

        self::ensure_length($dec_hex, 5);
        self::ensure_length($sec_hex, 6);

        $guid = "";
//        $guid .= $dec_hex;
//        $guid .= self::create_guid_section(3);
//        $guid .= '-';
//        $guid .= self::create_guid_section(4);
//        $guid .= '-';
//        $guid .= self::create_guid_section(4);
//        $guid .= '-';
//        $guid .= self::create_guid_section(4);
//        $guid .= '-';
        $guid .= $sec_hex;
        $guid .= self::create_guid_section(6);

        return $guid;

    }

    private static function create_guid_section($characters)
    {
        $return = "";
        for ($i = 0; $i < $characters; $i++) {
            $return .= dechex(mt_rand(0, 15));
        }
        return $return;
    }

    private static function ensure_length(&$string, $length)
    {
        $strlen = strlen($string);
        if ($strlen < $length) {
            $string = str_pad($string, $length, "0");
        } else if ($strlen > $length) {
            $string = substr($string, 0, $length);
        }
    }

    public static function getNationalityList()
    {
        return ArrayHelper::map(Countries::find()->asArray()->all(), 'nationality', 'nationality');
    }

    public static function getSocialStatusList()
    {
        return [
            'Single' => Yii::t('site', 'Single'),
            'Married' => Yii::t('site', 'Married')];
    }

    public static function getAppliedJobStatusList()
    {
        return [
            '' => '',
            'PENDING' => Yii::t('site', 'Pending'),
            'APPROVED' => Yii::t('site', 'Approved'),
            'REJECTED' => Yii::t('site', 'Rejected'),
            'INTERVIEW' => Yii::t('yee', 'Interview'),
            'WAITING_ADMIN_APPROVAL' => Yii::t('yee', 'Waiting Admin Approve Interview Update'),
            'PROCESSING' => Yii::t('site', 'Processing'),
            'Approved_Interview_By_User' => Yii::t('site', 'Approved Interview By User'),
            'ON_HOLD' => Yii::t('site', 'On Hold'),
        ];
    }

    /**
     * getStatusOptionsList
     * @return array
     */
    public static function getAppliedJobStatusOptionsList()
    {
        return [

            ['PENDING', Yii::t('yee', 'Pending'), 'primary'],
            ['APPROVED', Yii::t('yee', 'Approved'), 'success'],
            ['REJECTED', Yii::t('yee', 'Rejected'), 'danger'],
            ['INTERVIEW', Yii::t('yee', 'Interview'), 'warning'],
            ['WAITING_ADMIN_APPROVAL', Yii::t('yee', 'Waiting Admin Approve Interview Update'), 'warning'],
            ['Approved_Interview_By_User', Yii::t('yee', 'Approved Interview By User'), 'warning'],
//            ['PROCESSING', Yii::t('yee', 'Processing'), 'warning'],
//            ['ON_HOLD', Yii::t('yee', 'On Hold'), 'warning'],
        ];
    }


    public static function getYesNoList()
    {
        return [
            1 => Yii::t('site', 'Yes'),
            0 => Yii::t('site', 'No')
        ];
    }

    public static function getRateList()
    {
        return [
            1 => 1,
            2 => 2,
            3 => 3,
            4 => 4,
            5 => 5
        ];
    }

    public static function getCityList()
    {
        return [
        ];
    }

    public static function getDistrictList()
    {
        return [

        ];
    }

    public static function getStreetList()
    {
        return [
        ];
    }

    public static function getGenderList()
    {
        return [
            'Male' => Yii::t('site', 'Male'),
            'Female' => Yii::t('site', 'Female')
        ];
    }

    public static function getMaritalStatus()
    {
        return [
            'Single' => Yii::t('site', 'Single'),
            'Married' => Yii::t('site', 'Married')
        ];
    }


    public static function getPrimaryNumber()
    {
        return [
            'CellularNumber' => Yii::t('site', 'Cellular Number'),
            'HomePhoneNumber' => Yii::t('site', 'Home Phone Number'),
            'WorkPhoneNumber' => Yii::t('site', 'Work Phone Number')
        ];
    }


    /**
     * getTypeList
     * @return array
     */
    public static function getStatusList()
    {
        return [
            self::STATUS_PUBLISHED => Yii::t('yee', 'Published'),
            self::STATUS_PENDING => Yii::t('yee', 'Pending'),
        ];
    }

    /**
     * getStatusOptionsList
     * @return array
     */
    public static function getStatusOptionsList()
    {
        return [
            [self::STATUS_PENDING, Yii::t('yee', 'Pending'), 'default'],
            [self::STATUS_PUBLISHED, Yii::t('yee', 'Published'), 'primary']
        ];
    }


    /**
     * Save just uploaded file
     *
     * @param array $routes routes from module settings
     * @throws \Exception
     */
    public static function saveUploadedFile($file, array $routes, $rename = true, $allowedFileTypes = null, $albumID = null, $description = null)
    {
        $media = new Media();

        $year = date('Y', time());
        $month = date('m', time());
        $structure = "{$routes['baseUrl']}/{$routes['uploadPath']}/$year/$month";
        $basePath = Yii::getAlias($routes['basePath']);
        $absolutePath = "$basePath/$structure";

        // create actual directory structure "yyyy/mm"
        if (!file_exists($absolutePath)) {
            mkdir($absolutePath, 0777, true);
        }
        $media->file = $file;

//        if ($allowedFileTypes === null) {
//            $allowedFileTypes = Yii::$app->getModule('media')->allowedFileTypes;
//        }

//        if (!empty($allowedFileTypes) && is_array($allowedFileTypes) && !in_array($file->type, $allowedFileTypes)) {
//            throw new \Exception(Yii::t('yee/media', 'Sorry, [{filetype}] file type is not permitted!', ['filetype' => $file->type]));
//        }

        //if a file with the same name already exist append a number
        $counter = 0;
        do {
            if ($counter == 0)
                $filename = Inflector::slug($file->baseName) . '.' . $file->extension;
            else {
                //if we don't want to rename we finish the call here
                if ($rename == false) return false;
                $filename = Inflector::slug($file->baseName) . '-' . $counter . '.' . $file->extension;
            }
            $url = "$structure/$filename";
            $counter++;

            //var_dump($url);die();

        } while (Media::findByUrl($url)); // checks for existing url in db
        // save original uploaded file

        /* @var $file UploadedFile */
        $file->saveAs("$absolutePath/$filename", false);
        $media->filename = $filename;
        //Current Language
        $media->title = $filename;
        $media->alt = $filename;
        //Save all languages
        foreach (Yii::$app->yee->languages as $lang => $displayLang) {
            $titleField = 'title_' . $lang;
            $media->$titleField = $filename;
        }
        $media->type = $file->type;
        $media->size = $file->size;
        $media->url = $url;

        if ($albumID) {
            $media->album_id = $albumID;
        }
        if ($description) {
            //Current Language
            $media->description = $description;
            //Save all languages
            foreach (Yii::$app->yee->languages as $lang => $displayLang) {
                $descriptionField = 'description_' . $lang;
                $media->$descriptionField = $description;
            }
        }
        $media->save(false);

//        if($media->isImage()) {
////            $media->createDefaultThumb($routes);
//        }
        return $media;
    }

    public static function convertCurrency($amount, $from_currency, $to_currency)
    {

        $from_Currency = urlencode($from_currency);
        $to_Currency = urlencode($to_currency);
        $query = "{$from_Currency}_{$to_Currency}";

        $json = file_get_contents("https://free.currencyconverterapi.com/api/v6/convert?q={$query}&compact=ultra");
        $obj = json_decode($json, true);
        $val = floatval($obj["$query"]);


        $total = $val * $amount;
        return number_format($total, 2);
    }


    public static function array_msort($array, $cols)
    {
        $colarr = array();
        foreach ($cols as $col => $order) {
            $colarr[$col] = array();
            foreach ($array as $k => $row) {
                $colarr[$col]['_' . $k] = strtolower($row[$col]);
            }
        }
        $eval = 'array_multisort(';
        foreach ($cols as $col => $order) {
            $eval .= '$colarr[\'' . $col . '\'],' . $order . ',';
        }
        $eval = substr($eval, 0, -1) . ');';
        eval($eval);
        $ret = array();
        foreach ($colarr as $col => $arr) {
            foreach ($arr as $k => $v) {
                $k = substr($k, 1);
                if (!isset($ret[$k])) $ret[$k] = $array[$k];
                $ret[$k][$col] = $array[$k][$col];
            }
        }
        return $ret;

    }

    /**
     * @return Media
     */
    public static function getThumb($mediaURL)
    {
        return Media::findOne(['url' => $mediaURL]);

    }

    public static function ADD_API_LOG($url, $fields, $currentUser = null)
    {
        //Change me to Database
        $apiLogFile = Yii::$aliases['@api'] . "/runtime/logs/api.log";
        $fh = fopen($apiLogFile, 'a');
        fwrite($fh, self::get_client_ip_address() . chr(10));
        fwrite($fh, date("Y-d-m h:i:s A") . chr(10));
        fwrite($fh, $url . chr(10));
        fwrite($fh, print_r($fields, TRUE) . chr(10));
        fclose($fh);

        //Database
        $log = new ApiLog();
        $log->ip_address = self::get_client_ip_address();
        $log->end_point = $url;
        $log->parameters = print_r($fields, TRUE);
        if ($currentUser) {
            $log->user_id = $currentUser->id;
            $log->auth_key = $currentUser->auth_key;
        }
        $log->save();

    }

    public static function encrypt_decrypt($action, $string)
    {
        /* =================================================
         * ENCRYPTION-DECRYPTION
         * =================================================
         * ENCRYPTION: encrypt_decrypt('encrypt', $string);
         * DECRYPTION: encrypt_decrypt('decrypt', $string) ;
         */
        $output = false;
        $encrypt_method = "AES-256-CBC";
        $secret_key = 'H7g5LBU6blxGVeseIUpLRDVZLNdlNTmE';
        $secret_iv = 'eseIUpLRDVZLNdlWTmEVASH7g5LBU6blxGVNLUE';
        // hash
        $key = hash('sha256', $secret_key);
        // iv - encrypt method AES-256-CBC expects 16 bytes - else you will get a warning
        $iv = substr(hash('sha256', $secret_iv), 0, 16);
        if ($action == 'encrypt') {
            $output = base64_encode(openssl_encrypt($string, $encrypt_method, $key, 0, $iv));
        } else {
            if ($action == 'decrypt') {
                $output = openssl_decrypt(base64_decode($string), $encrypt_method, $key, 0, $iv);
            }
        }
        return $output;
    }

    public static function buildFacetUrl($name, $value, $baseURL)
    {
        $params = self::cleanURLParameter();

        //remove facet item if found in url
        if (isset($params["VehicleSearch"][$name]) && $params["VehicleSearch"][$name]) {
//            if (in_array(($name . ":" . urlencode($value)), $params["VehicleSearch"])) {
//                $key = array_search(($name . ":" . urlencode($value)), $params["VehicleSearch"]);
                unset($params['VehicleSearch'][$name]);
                return Url::to(array_merge([$baseURL], $params));
//            }
        }

        
        
        if (empty($params["VehicleSearch"]["manufacturer_id"]) && !empty($params["VehicleSearch"]["manufacturer_model_id"])) {
            unset($params["VehicleSearch"]['manufacturer_model_id']);
        }
            // echo "<pre>";
            // \yii\helpers\VarDumper::dump($params ,  $dept = 10,  $highlight = true);
            // die();
        //Add facet item if not found in url
        $params['VehicleSearch'][$name] = urlencode($value);

        return Url::to(array_merge([$baseURL], $params));
    }
    public static function cleanURLParameter()
    {
        $facets = is_array(@$_GET['VehicleSearch']) ? Gump::get_instance()->sanitize($_GET['VehicleSearch']) : [];

        return ['VehicleSearch' => $facets];
    }


}