<?php

namespace common\helpers;

use common\models\Images360;
use WebPConvert\WebPConvert;
use Yii;
use yii\helpers\FileHelper;

class WebpConverter
{
    public static function convertToWebp($sourceImage, $destinationPath){
        WebPConvert::convert($sourceImage, $destinationPath, [
            'quality' => 'auto',
            'max-quality' => 40,
            //'converters' => ['cwebp', 'gd', 'imagick', 'wpc', 'ewww'],
        ]);
    }

    public static function getWebpDestinationPath($originalBasePath){
        $destinationPath =$originalBasePath."/webp/";
        FileHelper::createDirectory($destinationPath, 0777);
        return $destinationPath;
    }

    public static function convert360Image(Images360 $image){
        $basePath = Yii::getAlias('@backend/web/uploads/360images');
        $destinationPath =self::getWebpDestinationPath($basePath);
        $sourceImage = $basePath."/".$image->path;
        $sourceImagePathInfo = pathinfo($sourceImage);
        $destinationPathWithImageName =$destinationPath.$sourceImagePathInfo['filename'].".webp";
               // echo "<pre>";print_r($sourceImage);echo "</pre>";
        // echo "<pre>";print_r($destinationPathWithImageName);echo "</pre>";
        self::convertToWebp($sourceImage, $destinationPathWithImageName);
    }

    public static function getSavedWebpPath($imageObj){
        if($imageObj instanceof Images360){
            return "".$image->path;
        }
    }


}
