<?php

namespace common\models;

use Yii;

/**
 * This is the model class for table "favorite_vehicle".
 *
 * @property int $id
 * @property int|null $user_id
 * @property int|null $vehicle_id
 * @property string|null $created_at
 * @property string|null $updated_at
 *
 * @property Vehicle $vehicle
 */
class FavoriteVehicle extends \yii\db\ActiveRecord
{
    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'favorite_vehicle';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['id'], 'required'],
            [['id', 'user_id', 'vehicle_id'], 'integer'],
            [['created_at', 'updated_at'], 'safe'],
            [['id'], 'unique'],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'id' => 'ID',
            'user_id' => 'User ID',
            'vehicle_id' => 'Vehicle ID',
            'created_at' => 'Created At',
            'updated_at' => 'Updated At',
        ];
    }

    public function getVehicle(){
        return $this->hasOne(Vehicle::class,['id'=>'vehicle_id']);
    }

}
