<?php

namespace common\models;

use Yii;

/**
 * This is the model class for table "page".
 *
 * @property int $id
 * @property string $slug
 * @property int $status 0-pending,1-published
 * @property int $comment_status 0-closed,1-open
 * @property string|null $image
 * @property string|null $image_header
 * @property int|null $published_at
 * @property int|null $created_at
 * @property int|null $updated_at
 * @property int|null $created_by
 * @property int|null $updated_by
 * @property int $revision
 * @property string $view
 * @property string $layout
 *
 * @property FmenuLang[] $FmenuLang
 
 */
class Fmenu extends \yii\db\ActiveRecord
{
    const ACTIVE = 1;
    const INACTIVE = 0;
    const HEADER = 'main-menu';
    const FOOTER = 2;
    const BOTH = 0;

    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'menu_link';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            // [['slug'], 'required'],
            // [['status', 'comment_status', 'published_at', 'created_at', 'updated_at', 'created_by', 'updated_by', 'revision'], 'integer'],
            // [['slug', 'image', 'image_header', 'view', 'layout'], 'string', 'max' => 255],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            // 'id' => 'ID',
            // 'slug' => 'Slug',
            // 'status' => 'Status',
            // 'comment_status' => 'Comment Status',
            // 'image' => 'Image',
            // 'image_header' => 'Image Header',
            // 'published_at' => 'Published At',
            // 'created_at' => 'Created At',
            // 'updated_at' => 'Updated At',
            // 'created_by' => 'Created By',
            // 'updated_by' => 'Updated By',
            // 'revision' => 'Revision',
            // 'view' => 'View',
            // 'layout' => 'Layout',
        ];
    }

    /**
     * Gets query for [[PageLangs]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getPageLangs()
    {
        return $this->hasMany(FmenuLang::class, ['link_id' => 'id']);
    }

    public function getPageLang()
    {
        return $this->hasOne(FmenuLang::class, ['link_id' => 'id'])->where(['language'=>Yii::$app->params['short_language']]);
    }
}
