<?php

namespace common\models;

use Yii;

/**
 * This is the model class for table "setting".
 *
 * @property int $id
 * @property string|null $group
 * @property string $key
 * @property string|null $language
 * @property string|null $value
 * @property string|null $description
 */
class Setting extends \yii\db\ActiveRecord
{
    const FACEBOOK_KEY = 'facebook_link';
    const INSTAGRAM_KEY = 'instagram_link';
    const TWITTER_KEY = 'twitter_link';
    const SELL_CAR = 'new and used car';
    const SELL = 'sell a car';
    const BUY = 'buy a car';

    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'setting';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['key'], 'required'],
            [['value', 'description'], 'string'],
            [['group', 'key'], 'string', 'max' => 64],
            [['language'], 'string', 'max' => 6],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'id' => 'ID',
            'group' => Yii::t('auto','key name'),
            'key' => Yii::t('auto','Key'),
            'language' => 'Language',
            'value' => Yii::t('auto','Title'),
            'description' => Yii::t('auto','Description'),
        ];
    }
}
