<?php

namespace common\models;

use Yii;

/**
 * This is the model class for table "vehicle_equipment".
 *
 * @property int $vehicle_id
 * @property int $equipment_id
 *
 * @property DropdownListLang $equipment
 *
 */
class VehicleEquipment extends \yii\db\ActiveRecord
{
    const ENGLISH_LANGUAGE = 'en';
    const ARABIC_LANGUAGE = 'ar';
    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'vehicle_equipment';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['vehicle_id', 'equipment_id'], 'required'],
            [['vehicle_id', 'equipment_id'], 'integer'],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'vehicle_id' => 'Vehicle ID',
            'equipment_id' => 'Equipment ID',
        ];
    }

    public function getEquipment()
    {
        return $this->hasOne(DropdownListLang::className(),['parent_id' => 'equipment_id']);
    }
    /**
     * @param $field
     * @return string|null
     */
    public function getData($field)
    {
        $object = DropdownListLang::findOne(['parent_id' => $this->$field, 'language' => Yii::$app->params['short_language']]);
        if (!$object) {
            $object = DropdownListLang::findOne(['parent_id' => $this->$field]);
        }
        if ($object) {
            return $object->title;
        }
        return  '-';
    }
}
