<?php

namespace common\models;

use Yii;

/**
 * This is the model class for table "vehicle_remark".
 *
 * @property int $vehicle_id
 * @property int $remark_id
 *
 * @property DropdownListLang $remark
 *
 */
class VehicleRemark extends \yii\db\ActiveRecord
{
    const ENGLISH_LANGUAGE = 'en';
    const ARABIC_LANGUAGE = 'ar';

    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'vehicle_remark';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['vehicle_id', 'remark_id'], 'required'],
            [['vehicle_id', 'remark_id'], 'integer'],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'vehicle_id' => 'Vehicle ID',
            'remark_id' => 'Remark ID',
        ];
    }

    public function getRemark()
    {
        return $this->hasOne(DropdownListLang::className(),['parent_id' => 'remark_id']);
    }

    /**
     * @param $field
     * @return string|null
     */
    public function getData($field){
        $object = DropdownListLang::findOne(['parent_id' => $this->$field,'language' => Yii::$app->params['short_language']]);
        if(!$object){
            $object = DropdownListLang::findOne(['parent_id' => $this->$field]);
        }
        if($object){
            return $object->title;
        }
        return '-';
    }
}
