<?php

use yii\db\Migration;

/**
 * Class m211112_060006_altering_user_table
 */
class m211112_060006_altering_user_table extends Migration
{
    /**
     * {@inheritdoc}
     */
    public function safeUp()
    {
        $query = <<< EOF
ALTER TABLE `user` ADD `full_name` VARCHAR(125) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL AFTER 
    `verification_token`,
    ADD `registration_document` VARCHAR(125) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL AFTER
    `full_name`; 
ALTER TABLE `user` CHANGE `registration_document` `registration_document` VARCHAR(125) CHARACTER SET 
    utf8 COLLATE utf8_general_ci NULL DEFAULT NULL; 

ALTER TABLE `user` ADD `phone_number` INT(11) NULL DEFAULT NULL AFTER `registration_document`, ADD 
    `address` TEXT NULL DEFAULT NULL AFTER `phone_number`, ADD `city` VARCHAR(125) NULL DEFAULT NULL AFTER
    `address`, ADD `code` INT(11) NULL DEFAULT NULL AFTER `city`, ADD `country` VARCHAR(45) 
    NULL DEFAULT NULL AFTER `code`, ADD `about_me` TEXT NULL DEFAULT NULL AFTER `country`; 

ALTER TABLE `user` ADD `profile_image` VARCHAR(225) NULL DEFAULT NULL AFTER `registration_document`; 

EOF;
        $this->execute($query);
    }

    /**
     * {@inheritdoc}
     */
    public function safeDown()
    {
        echo "m211112_060006_altering_user_table cannot be reverted.\n";

        return false;
    }

    /*
    // Use up()/down() to run migration code without a transaction.
    public function up()
    {

    }

    public function down()
    {
        echo "m211112_060006_altering_user_table cannot be reverted.\n";

        return false;
    }
    */
}
