<?php

use yii\db\Migration;

/**
 * Handles the creation of table `{{%vehicle_lang}}`.
 */
class m211123_153325_create_vehicle_lang_table extends Migration
{
    /**
     * {@inheritdoc}
     */
    public function safeUp()
    {
       $query = <<<EOF
CREATE TABLE `vehicle_lang` (
 `id` int(11) NOT NULL AUTO_INCREMENT,
 `parent_id` int(11) NOT NULL,
 `language` varchar(6) NOT NULL,
 `title` varchar(255) DEFAULT NULL,
 `description` text,
 PRIMARY KEY (`id`) USING BTREE,
 KEY `page_lang_post_id` (`parent_id`) USING BTREE,
 KEY `page_lang_language` (`language`) USING BTREE,
 CONSTRAINT `vehicle_lang_ibfk_1` FOREIGN KEY (`parent_id`) REFERENCES `vehicle` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=78820 DEFAULT CHARSET=utf8
EOF;
        $this->execute($query);
    }

    /**
     * {@inheritdoc}
     */
    public function safeDown()
    {
        $this->dropTable('{{%vehicle_lang}}');
    }
}
