<?php

use yii\db\Migration;

/**
 * Handles the creation of table `{{%users}}`.
 */
class m211129_132430_create_users_table extends Migration
{
    /**
     * {@inheritdoc}
     */
    public function safeUp()
    {
        $query = <<< EOF
CREATE TABLE `users` (
 `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
 `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
 `email` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
 `auth_key` varchar(32) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
 `email_verified_at` timestamp NULL DEFAULT NULL,
 `password` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
 `remember_token` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
 `created_at` timestamp NULL DEFAULT NULL,
 `updated_at` timestamp NULL DEFAULT NULL,
 `owner_id` int(11) NOT NULL DEFAULT '0',
 `phone` varchar(25) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
 `type` tinyint(1) NOT NULL DEFAULT '1' COMMENT '1=User,2=Dealer',
 `address` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
 `code` varchar(10) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
 `device_key` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
 `document` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
 `is_document_approved` int(11) NOT NULL DEFAULT '0' COMMENT 'In Review 0, Approved 1, Rejected 2',
 `verification_token` varchar(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci DEFAULT NULL,
 `status` smallint(6) DEFAULT '10',
 `city` varchar(125) CHARACTER SET utf8 COLLATE utf8_unicode_ci DEFAULT NULL,
 `profile_image` varchar(225) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
 `country` varchar(45) CHARACTER SET utf8 COLLATE utf8_unicode_ci DEFAULT NULL,
 `about_me` text CHARACTER SET utf8 COLLATE utf8_unicode_ci,
 PRIMARY KEY (`id`),
 UNIQUE KEY `users_email_unique` (`email`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci

EOF;
        $this->execute($query);
    }

    /**
     * {@inheritdoc}
     */
    public function safeDown()
    {
        $this->dropTable('{{%users}}');
    }
}
