<?php

namespace frontend\controllers;

use common\models\Page;
use yii\filters\VerbFilter;
use yii\web\Controller;
use yii\web\NotFoundHttpException;

class PageController extends Controller
{

    /**
     * @inheritdoc
     */
    public function behaviors()
    {
        return [
            'verbs' => [
                'class' => VerbFilter::className(),
                'actions' => [
                    'delete' => ['POST'],
                ],
            ],
        ];
    }

    /**
     * Lists all Page models.
     * @return mixed
     */
    public function actionIndex($slug)
    {
        $page = $this->findModel($slug);
        $page_lang = \common\models\PageLang::findOne(['page_id' => $page->id, 'language' => \Yii::$app->params['short_language']]);
        return $this->render('index',[
            'page' => $page,
            'page_lang' => $page_lang
        ]);
    }

    /**
     * Finds the Page model based on its primary key value.
     * If the model is not found, a 404 HTTP exception will be thrown.
     * @param  $slug
     * @return Page the loaded model
     * @throws \yii\web\NotFoundHttpException if the model cannot be found
     */
    protected function findModel($slug)
    {
            if (($page = Page::findOne(['slug' => $slug])) !== null) {
            return $page;
        } else {
            throw new NotFoundHttpException('The requested page does not exist.');
        }
    }
}