<?php

namespace frontend\models;

use common\models\Vehicle;
use Yii;

/**
 * This is the model class for table "groups".
 *
 * @property int $id
 * @property int|null $user_id
 * @property int|null $vehicle_id
 * @property int|null $date_time_from
 * @property int|null date_time_to
 * @property int|null $created_at
 * @property int|null $updated_at
 */
class CalenderFrom extends \yii\db\ActiveRecord
{
    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'schedule_meeting';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return  [];
    }
    public static function findIdentity($id)
    {
        return static::findOne(['id' => $id]);
    }
    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'id' => 'ID',
            'user_id' => 'User',
            'vehicle_id' => 'Vehicle',
            'date_time_from' => 'date_time_from',
            'date_time_to' => 'date_time_to',
            'created_at' => 'Created At',
            'updated_at' => 'Updated At'
        ];
    }

    public function getVehicle(){
        return $this->hasOne(Vehicle::class, ['id' => 'vehicle_id']);
    }


    /**
     * Sends an email to the specified email address using the information collected by this model.
     *
     *
     * @return bool whether the email was sent
     */
    public function sendEmailToNotifyAdmin()

    {
        return Yii::$app->mailer
            ->compose(
                ['html' => 'new-appointment-booked-html', 'text' => 'new-vehicle-listed-text'],
                [
                    'model' => $this->vehicle,
                    'user' => $this->vehicle->user,
                    'appointment' => $this
                ]
            )
            ->setTo(Yii::$app->params['senderEmail'])
            ->setFrom([Yii::$app->params['senderEmail'] => Yii::$app->params['senderName']])
            ->setSubject('New Appointment '  . Yii::$app->name)
            ->send();

    }


}
