<?php

namespace frontend\models;

use Yii;
use yii\base\Model;


/**
 * ContactForm is the model behind the contact form.
 */
/**
 * This is the model class for table "group_messages".
 *
 * @property int $id
 * @property int|null $title
 * @property int|null $name
 * @property string|null $email
 * @property int|null $message
 * @property int|null $created_at
 * @property int|null $updated_at
 */
class ContactForm extends \yii\db\ActiveRecord
{
    public $username;
    public $useremail;
    public $subject;
    public $body;
    public $reCaptcha;
    
  /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'contact_us';
    }
    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            // name, email, subject and body are required
            [['name', 'email', 'title', 'message'], 'required'],
            // email has to be a valid email address
            ['email', 'email'],
            // verifyCode needs to be entered correctly
          //  ['reCaptcha', 'captcha'],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'id' => 'ID',
            'title'=>'title',
            'email' => 'email',
             'message'=>'message',
            'created_at' => 'Created At',
            'updated_at' => 'Updated At',
            'verifyCode' => 'Verification Code',
        ];
    }

    /**
     * Sends an email to the specified email address using the information collected by this model.
     *
     * @param string $email the target email address
     * @return bool whether the email was sent
     */
    public function sendEmail($ToEmail)
    { 
        
    
       $sendmail=  Yii::$app->mailer->compose()
            ->setTo($ToEmail)           
             ->setFrom([Yii::$app->params['senderEmail'] => Yii::$app->params['senderName']])
            ->setReplyTo([$this->email => $this->name])
            ->setSubject($this->title)
            ->setTextBody($this->message)
            ->send();
            return $sendmail;
    }
}
