<?php

use kartik\widgets\FileInput;
use yeesoft\helpers\Html;
use yeesoft\widgets\ActiveForm;

/* @var $this yii\web\View */
/* @var $model \common\models\Images360 */
/* @var $form yeesoft\widgets\ActiveForm */
/* @var $image_data \common\models\Images360 */

$this->title = Yii::t('yee', 'Vehicle Images');
$this->params['breadcrumbs'][] = $this->title;

?>
<!--Breadcrumbs Section-->
<div class="biding-breadcrumbs">
    <div class="bannerimg cover-image bg-background3" data-image-src="<?= Yii::getAlias('@web/images/banners/banner2.jpg')?>">
        <div class="header-text mb-0">
            <div class="container">
                <div class="text-center text-white ">
                    <h2 class=""><?= Yii::t('auto','Listing of You Biding Cars')?></h2>
                    <ol class="breadcrumb text-center">
                        <li class="breadcrumb-item"><a href="#"><?= Yii::t('auto','Home')?></a></li>
                        <li class="breadcrumb-item active text-white" aria-current="page"><?= Yii::t('auto','my-biding')?></li>
                    </ol>
                </div>
            </div>
        </div>
    </div>
</div>
<!--Breadcrumbs Section-->

<div class="album-create">
    <h3 class="lte-hide-title">Upload <?php echo $vehicle->title ?> Images
        </h3>
</div>
<div class="album-form">

    <?php
    $form = ActiveForm::begin()
    ?>
    <div class="panel panel-default">

    <div class="row">
        <div class="col-md-6">

                <div class="panel-body">
                    <?= $form->field($model, 'title')->textInput(['value'=>$vehicle->title]) ?>
                </div>

            </div>
    </div>
        <div class="row">
            <div class="col-md-6">

                <div class="panel-body">
                    <?php echo '<label>Add Images in Sequence for 360 degree view</label>';
                     ?>
                    <?= $form->field($model, 'images')->widget(FileInput::className(),[
                            'options'=>[
                            ],
                            'pluginOptions' => [
                                'allowedFileExtensions' => ['jpg','gif','png','jpeg','webp'],
                            ]
                    ])->label(false) ?>
                </div>
            </div>
            <div class="col-md-6">

                <div class="panel-body">
                    <?php echo '<label>Front Image</label>';
                    ?>
                    <?= $form->field($model, 'frontImage')->widget(FileInput::className(),[

                        'name' => 'attachment_49[]',
                        'options'=>['multiple'=>false],
                        'pluginOptions' => [
                            'allowedFileExtensions' => ['jpg','gif','png','jpeg','webp'],
                            'initialPreview'=>[
                            $front_image_preview?$front_image_preview->path.'-265x150.'.$front_image_preview->extension:false,
                            ],
                            'initialPreviewAsData'=>true,
                            'overwriteInitial'=>false,
                            'maxFileSize'=>2800
                        ]
                    ])->label(false) ?>
                </div>
            </div>

        </div>
        <?php ActiveForm::end(); ?>
    <div class="row">
        <div class="col-md-6">

                        <div class="panel-body">
                             <label>

</label>
         <a class="btn btn-primary" href="<?= \yii\helpers\Url::toRoute(['delete','id'=>$id])?>"> Delete Previous Image</a>
                            <a class="btn btn-danger" href="<?= \yii\helpers\Url::toRoute(['delete-all','id'=>$id])?>"> Delete All Image</a>
                            <a href="<?= \yii\helpers\Url::toRoute(['delete-front-image','id'=>$id])?>" class="btn btn-info">Delete Front Image</a>
                            <a href="#360-view" class="btn btn-success"> Check 360 view</a>

                        </div>
</div>
</div>

</div>
<?php if (!empty($image_data)){?>
    <div class="panel panel-default">

        <div class="panel-body">
   <div class="text-center"><label><h2>Images you Uploaded before</h2></label>
</div>
        <div class="row">
            <?php foreach ($image_data as $data)
            $count = 1;
            { ?>
            <div class="col-md-4">
                <div class="thumbnail">
                        <img src="<?= '/uploads/3000x1500/'.$vehicle->slug.$vehicle->id."($count)".'3000x1500'.'.'.$extension ?>" style="width:100%;height: 100%;max-height: 220px" alt="">
                        <div class="caption">
                            <p><?= $data->path ?></p>
                        </div>
                </div>
            </div>
            <?php
            $count = $count +1;
            } ?>
        </div>
                </div>
                </div>
                <?php } ?>


<?php if (empty($image_data)){?>
<div class="panel panel-default">
    <div class="panel-body">
        <h1>No images uploaded</h1>
    </div>
</div>
<?php } ?>
<?=  $this->render('_fullview',[
    'model'=>$model,
    'vehicle'=>$vehicle,
    'image_data'=>$image_data,
    'id'=>$id,
    'count'=>$count,
    'extension'=>$extension
])?>
