<?php

use yii\helpers\Html;
use yii\widgets\ActiveForm;
use yii\helpers\Url;
use kartik\file\FileInput;

/* @var $this yii\web\View */
/* @var $model \common\models\Images360 */
/* @var $form yii\widgets\ActiveForm */
/* @var $image_data \common\models\Images360 */

$this->title = Yii::t('yee', 'Vehicle Images');
$this->params['breadcrumbs'][] = $this->title;

?>
<style>
    .thumbnail{
        max-height: 310px;
    }

    .img-container {
        border: 1px solid #ccc;
        margin: 0 auto;
        padding:0;
        cursor: ew-resize;
    }

    .img360 {
        margin: 0;
        padding: 0;
        line-height: 0;

    }

    #preload-imgs {
        display:none;
    }
</style>

<!--Breadcrumbs Section-->
<div class="biding-breadcrumbs">
    <div class="bannerimg cover-image bg-background3" data-image-src="<?= Yii::getAlias('@web/images/banners/banner2.jpg')?>">
        <div class="header-text mb-0">
            <div class="container">
                <div class="text-center text-white ">
                    <h2 class=""><?= Yii::t('auto','List of cars you Bid on')?></h2>
                    <ol class="breadcrumb text-center">
                        <li class="breadcrumb-item"><a href="/"><?= Yii::t('auto','Home')?></a></li>
                        <li class="breadcrumb-item active text-white" aria-current="page"><?= Yii::t('auto','my-biddings')?></li>
                    </ol>
                </div>
            </div>
        </div>
    </div>
</div>
<!--Breadcrumbs Section-->
<section class="sptb pt-5 biding-order-list">
    <div class="container">
        <div class="album-create">
            <h3 class="lte-hide-title">Upload <?php echo $vehicle->title ?> Images
            </h3>
        </div>
        <div class="album-form">

            <?php
            $form = ActiveForm::begin([
            ])
            ?>
            <div class="panel panel-default">
                <div class="row">
                    <div class="col-lg-12">

                        <div class="panel-body">
                            <?php echo '<label style="color: red">Set images in sequence and then multiple drag and drop for upload . </label><strong> Maximum Multiple  Upload: 60 images</strong>
';
                            ?>
                            <?= $form->field($model, 'path[]')->widget(FileInput::className(),[
                                'options' => ['multiple' => true],
                                'pluginOptions' => [ Yii::$app->homeUrl.'upload-images/id?='.$id,
                                    'allowedFileExtensions' => ['jpg','gif','png','jpeg','webp'],

                                    'showRemove' => false,
                                    'maxFileCount' => 60
                                ],

                            ])->label(false) ?>
                        </div>
                    </div>
                    <div class="col-lg-12">
                        <div class="panel-body">
                            <div class="button-section">
                                <?= Html::submitButton(Yii::t('auto','Submit'), ['class' => 'btn btn-success']) ?>
                            </div>
                        </div>
                    </div>
                </div>
                <?php ActiveForm::end(); ?>
            </div>
        </div>

        </div>
    </div>
</section>