<?php

use yii\helpers\Html;
use common\models\NewsletterClientList;
use yii\widgets\ActiveForm;

/* @var $model NewsletterClientList*/
/* @var $form ActiveForm*/
?>
<section>
    <footer class="bg-dark-purple text-white">
        <div class="footer-main">
            <div class="container">
                <div class="row">
                    <div class="col-lg-3 col-md-12">
                        <h1 class="oto-bauhaus-font">OtO</h1>
                        <p class="mb-3"><?=Yii::t('auto','The best platform for new & used cars in Jordan.')?></p>
                        <a href="<?=\yii\helpers\Url::toRoute(['/page/index','slug'=>'informative-page'])?>" class="btn btn-primary br-tl-3  br-bl-3 footer-button-hover"> <?= Yii::t('auto','Learn more')?> </a>

                    </div>

                    <?= \common\widgets\FooterWidget::widget()?>

                    <div class="col-lg-4 col-md-12">
                        <h6><?= Yii::t('auto','SOCIAL MEDIA')?></h6>
                        <hr class="deep-purple  accent-2 mb-4 mt-0 d-inline-block mx-auto">
                        <div class="">
                            <ul class="list-unstyled list-inline mb-4">
                                <li class="list-inline-item">
                                    <a class="btn-floating btn-sm rgba-white-slight mx-1 waves-effect waves-light" href="<?= Yii::$app->params['facebook']?>">
                                        <i class="fa fa-facebook bg-social-icon"></i>
                                    </a>
                                </li>
                                <!-- <li class="list-inline-item">
                                    <a class="btn-floating btn-sm rgba-white-slight mx-1 waves-effect waves-light" href="<?= Yii::$app->params['twitter']?>">
                                        <i class="fa fa-twitter bg-social-icon"></i>
                                    </a>
                                </li> -->
                                <li class="list-inline-item">
                                    <a class="btn-floating btn-sm rgba-white-slight mx-1 waves-effect waves-light" href="<?= Yii::$app->params['instagram']?>">
                                        <i class="fa fa-instagram bg-social-icon"></i>
                                    </a>
                                </li>
                            </ul>
                            <a class="btn bg-store fs-16" href=""><i class="fa fa-apple mr-2"></i> <?= Yii::t('auto','App Store')?></a>
                            <a class="btn bg-store fs-16" href=""><i class="fa fa-android mr-2"></i> <?= Yii::t('auto','Google Play')?></a>

                        </div>

                    </div>
                    <?= \common\widgets\FooterNewsletterWidget::widget()?>

                </div>
            </div>
        </div>
        <div class="bg-dark-purple footer-copyright text-white p-0">
            <div class="container">
                <div class="row d-flex">
                    <div class="col-lg-12 col-sm-12 mt-3 mb-3 text-center ">
                        <?= Yii::t('auto','Copyright © {year}',['year'=>date('Y')])?> <a href="#" class="fs-14 text-primary"><?= Yii::$app->name?></a>.
                         <?= Yii::t('auto', 'All Rights Reserved'); ?>.
                    </div>
                </div>
            </div>
        </div>
    </footer>
</section>

