<?php


    /* @var $this \yii\web\View */

    /* @var $content string */


    use common\widgets\Alert;

    use frontend\assets\AppAsset;

    use yii\bootstrap4\Html;


    AppAsset::register($this);
?>

<?php
    $this->beginPage() ?>

    <!DOCTYPE html>

    <html lang="<?= Yii::$app->language ?>" class="h-100">

    <head>

        <?php
            $this->head() ?>


        <meta charset="<?= Yii::$app->charset ?>"/>

        <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0"/>

        <meta name="facebook-domain-verification" content="tv6k5he5lwzadj5k41h41d2cyj0o7z"/>

        <title><?= Html::encode(Yii::$app->name . " | " . $this->title) ?></title>

        <link rel="shortcut icon" href="<?= Yii::$app->homeUrl . 'favicon.png' ?>">

        <?php
            $this->registerCsrfMetaTags() ?>

        <link rel="stylesheet" type="text/css" href="https://cdn.jsdelivr.net/npm/daterangepicker/daterangepicker.css"/>
        <link rel="stylesheet" href="https://code.jquery.com/ui/1.13.2/themes/base/jquery-ui.css">
        <!-- Meta Pixel Code -->

        <script>

            !function (f, b, e, v, n, t, s) {
                if (f.fbq) return;
                n = f.fbq = function () {
                    n.callMethod ?

                        n.callMethod.apply(n, arguments) : n.queue.push(arguments)
                };

                if (!f._fbq) f._fbq = n;
                n.push = n;
                n.loaded = !0;
                n.version = '2.0';

                n.queue = [];
                t = b.createElement(e);
                t.async = !0;

                t.src = v;
                s = b.getElementsByTagName(e)[0];

                s.parentNode.insertBefore(t, s)
            }(window, document, 'script',

                'https://connect.facebook.net/en_US/fbevents.js');

            fbq('init', '1115013145961715');

            fbq('track', 'PageView');

        </script>

        <!-- Global site tag (gtag.js) - Google Analytics -->

        <script async src="https://www.googletagmanager.com/gtag/js?id=G-B0MG5BP73W"></script>

        <script>

            window.dataLayer = window.dataLayer || [];

            function gtag() {
                dataLayer.push(arguments);
            }

            gtag('js', new Date());


            gtag('config', 'G-B0MG5BP73W');

        </script>

        <noscript><img height="1" width="1" style="display:none"

                       src="https://www.facebook.com/tr?id=1115013145961715&ev=PageView&noscript=1"

            /></noscript>

        <!-- End Meta Pixel Code -->
        <style>
            .bannerimg .header-text h1 {
                font-size: 1.7rem;
            }

            @media only screen and (max-width: 786px) {
                .bannerimg .header-text h1 {
                    font-size: 1.4rem;
                }

                .home .section-title {
                    border-bottom: 1px solid var(--light-border-color);
                    margin-bottom: 1%;
                }

            }

            .quick-access-main {
                display: none;
            }
        </style>

    </head>

    <body class="<?= Yii::$app->language == 'ar-AR' ? 'custom-rtl' : '' ?>">

    <?php
        $this->beginBody() ?>





    <?= Alert::widget() ?>

    <?= $this->render('header.php') ?>


    <!--Loader-->


    <!--<div id="global-loader">-->

    <!--    --><!--?//= Html::img(Yii::getAlias('@web/images/loader.svg'),['class'=> 'loader-img'])?-->

    <!--</div>-->

    <?= $content ?>

    <style>
        #addcar {
            color: #fff;
            position: fixed;
            bottom: 20px;
            right: 40px;
            text-align: center;
            border-radius: 50px;
            -moz-border-radius: 50px;
            -webkit-border-radius: 50px;
            -o-border-radius: 2px;
            z-index: 1040;
            height: 50px;
            width: 50px;
            background-repeat: no-repeat;
            background-position: center;
            transition: background-color .1s linear;
            -moz-transition: background-color .1s linear;
            -webkit-transition: background-color .1s linear;
            -o-transition: background-color .1s linear;
        }

        #addcar {
            bottom: 50px !important;
            background: var(--color2) !important;
        }

        #text_plus_icon {
            color: black;
            font-size: 15px;
            width: 100px;
            margin-left: -23px;
            display: block;
        }

        ul.ui-autocomplete {
            z-index: 1100000 !important;
        }

        @media only screen and (max-width: 786px) {
            #addcar {
                display: none;
            }
        }
    </style>

    <!-- Back to top -->

    <!--<a href="#top" id="back-to-top" ><i class="fa fa-rocket"></i></a>-->

    <!-- <a href="#top" id="back-to-top" ><?= Html::img(Yii::getAlias('@web/images/up-arrow.png'), ['class' => 'p-3']
    ) ?></a> -->

    <a href="<?= \yii\helpers\Url::to('/site/sell-your-car') ?>" id="addcar"><?= Html::img(
            Yii::getAlias('@web/images/icons/plus-icon.png'),
            ['class' => 'p-3']
        ) ?> <span id="text_plus_icon">Add New Car</span></a>


    <?= $this->render('footer.php') ?>

    <div class="disabled_loader" style="display:none"></div>

    <?php

        $js_autocomplete = <<<JS

$("form").attr('autocomplete', 'off');



$(document).ready(function () {

        $('.pre-loader-btn').on('click', function(){ $('div.disabled_loader').show(); });

        //when the page is done loading, disable autocomplete on all inputs[text]

        $('input[type="text"]').attr('autocomplete', 'off');



        //do the same when a bootstrap modal dialog is opened

        $(window).on('shown.bs.modal', function () {

            $('input[type="text"]').attr('autocomplete', 'off');

        });

        

        $('.lazy-load').Lazy({

            beforeLoad: function(element) {

            console.log('beforeLoad');

            // called before an elements gets handled

        },

        afterLoad: function(element) {

            // called after an element was successfully handled

        

            console.log('afterLoad');

        },

        onError: function(element) {

            // called whenever an element could not be handled

            console.log('called whenever an element could not be handled');

        },

        onFinishedAll: function() {

            // called once all elements was handled

             console.log('called once all elements was handled');

        }

            

            

        });

});



$('form *').prop('autocomplete', 'off');

JS;
        $this->registerJs($js_autocomplete);
    ?>

    <?php
        $this->endBody() ?>
    </body>

    </html>

<?php
    $this->endPage();

