<?php



use yii\bootstrap4\ActiveForm;

use yii\helpers\Html;



/* @var $form ActiveForm */

/* @var $model \frontend\models\SignupForm */



?>

<style>

    .or-text-row {

        display: table-row;

    }

    .or-text {

        display: table;

        width: 100%;

        position: relative;

        margin: 20px 0;

    }

    .or-text-step button[disabled] {

        opacity: 1 !important;

        filter: alpha(opacity=100) !important;

    }

    .or-text-row:before {

        top: 14px;

        bottom: 0;

        position: absolute;

        content: " ";

        width: 100%;

        height: 1px;

        background-color: #e8e8e8;

        z-order: 0;

    }

    .or-text-line {

        display: table-cell;

        text-align: center;

        position: relative;

        width: 100%;

    }

    .or-text-line p {

        margin-top:10px;

    }

    .btn-circle {

        width: 30px;

        height: 30px;

        text-align: center;

        padding: 2px 0;

        font-size: 17px;

        line-height: 1.428571429;

        border-radius: 15px;

    }

    .btn-group{margin-bottom: 5px;}

    .fa{padding-right: 10px;}

    .custom-rtl .fa{padding-right: 5px;}

    .signupbody{  }
    .signupsec{ padding:0px 30px 30px 30px; }
    .signuptopsec{ padding:30px 30px 30px 30px; background:#f1f5fd; }

</style>

<?php $form = ActiveForm::begin([

    'id' => 'form-signup-owner',

    'action' => ['site/signup'],

    'validateOnBlur' => true,

    'validationUrl' => \yii\helpers\Url::to(['/site/signup']),

    'options' => ['enctype' => 'multipart/form-data'

    ]]); ?>

<div tabindex="500" class="card-body 1 signupbody p-0">

<div class="signuptopsec">

    <h3><?= Yii::t('auto','Sign Up as car owner')?></h3>

    <?php if(Yii::$app->session->hasFlash('danger-social')): ?>

        <div class="invalid-feedback" style="display: block"><?= Yii::$app->session->getFlash('danger-social') ?></div>

    <?php endif; ?>

    <div class="section-highlight">

        <?php

        use yii\authclient\widgets\AuthChoice;

        ?>

        <?php $authAuthChoice = AuthChoice::begin([

            'baseAuthUrl' => ['site/auth', 'task'=>'signup'],

            'popupMode' => false

        ]); ?>

        <?php foreach ($authAuthChoice->getClients() as $client):

            switch($client->getId()) {

                case 'google':

                    $link = $authAuthChoice->clientLink($client, '<i class="fa fa-google fa-fw"></i> '.Yii::t('auto', 'Sign up with Google'), ['class' => 'btn  btn-google btn-block']);

                    break;

                case 'facebook':

                    $link = $authAuthChoice->clientLink($client, '<i class="fa fa-facebook fa-fw"></i> '. Yii::t('auto', 'Sign up with Facebook'), ['class' => 'btn  btn-facebook btn-block']);

                    break;



            }?>

            <div class="mb-2 mt-2">

                <?= $link ?>

            </div>



        <?php endforeach; ?>

        <?php AuthChoice::end(); ?>

    </div>

</div>

<div class="signupsec">

    <div class="or-text">

        <div class="or-text-row">

            <div class="or-text-line">

                <button type="button" class="btn btn-default btn-circle" disabled="disabled">or</button>

            </div>

        </div>

    </div>

    <div class="full_name">

        <?= $form->field($model,'name')->textInput()->label(Yii::t('auto','Name'))?>

    </div>

    <div class="email">

        <?= $form->field($model, 'email', ['enableClientValidation' => false, 'enableAjaxValidation' => true])->textInput()->label(Yii::t('auto','Email'))?>

    </div>

    <div class="passwrd">

        <?= $form->field($model, 'password')->passwordInput()->label(Yii::t('auto','Password'))?>

    </div>

    <div class="phone">

        <?= $form->field($model, 'phone')->textInput()->label(Yii::t('auto','Phone'))?>

    </div>



    <div class="submit">

        <?= Html::submitButton(Yii::t('auto','Send'), ['class' => 'btn btn-primary btn-block', 'name' => 'login-button']) ?>

    </div>



    <p class="text-dark mb-0 mt-2"><?= Yii::t('auto','Already have an account?')?>

        <a href="<?= \yii\helpers\Url::to('login')?>" class="text-primary ml-1"><?= Yii::t('auto','Login')?></a>

    </p>


</div>


</div>

<?php ActiveForm::end(); ?>



