<?php

use yii\helpers\Html;
use common\models\VehicleImages;
use common\models\Vehicle;

/* @var $this yii\web\View */
/* @var $model Vehicle*/

$image = VehicleImages::findOne(['vehicle_id' => $model->id, 'type' => VehicleImages::TYPE_ONE, 'is_default' => 1]);
if(empty($image)){
    $image = VehicleImages::findOne(['vehicle_id' => $model->id, 'type' => VehicleImages::TYPE_ONE]);
}
$engine = common\models\DropdownListLang::findOne(['parent_id' => $model->engine_id,'language' => Yii::$app->params['short_language']]);

$transmission = common\models\DropdownListLang::findOne(['parent_id' => $model->transmission_id, 'language' => Yii::$app->params['short_language']]);

$car_brand = common\models\DropdownListLang::findOne(['parent_id' => $model->manufacturer_id, 'language' => Yii::$app->params['short_language']]);

$vehicle_title = \common\models\VehicleLang::findOne(['parent_id' => $model->id,'language' => Yii::$app->params['short_language']]);
if(empty($vehicle_title)){
    $vehicle_title = \common\models\VehicleLang::findOne(['parent_id' => $model->id]);
}
?>

<div class="card">
    <div class="d-md-flex">
        <div class="item-card9-img">

            <?php if($model->status == Vehicle::PUBLISHED) { ?>
                <div class="arrow-ribbon bg-success"><?php echo Yii::t('auto', Vehicle::IS_PUBLISHED) ?></div>

            <?php }else {?>
                <div class="arrow-ribbon bg-danger"><?php echo Yii::t('auto', Vehicle::IS_PENDING) ?></div>
            <?php }?>


            <div class="item-card9-imgs">
                <a class="link" href="<?= \yii\helpers\Url::toRoute(['cardetail/'.$model->slug])?>"></a>
                <?php  if($image){?>
                    <?= Html::img($image->path.".".$image->extension,['alt' => Yii::t('auto', 'No Image is found')])?>
                <?php }else{ ?>
                    <?= Html::img(Yii::getAlias('@web/images/car/default.jpg'),['alt' => Yii::t('auto', 'No Image is found')])?>
                <?php }?>
            </div>
        </div>
        <div class="card border-0 mb-0">
            <div class="card-body ">
                <div class="item-card9">
                    <a href="<?= \yii\helpers\Url::toRoute(['site/car-detail','slug' => $model->slug])?>" class="text-dark d-inline"><h4 class="font-weight-semibold mt-1 d-inline"><?= $vehicle_title->title?></h4></a>

                    <?= Html::a(Yii::t('auto','Delete'),\yii\helpers\Url::toRoute(['site/delete','id' => $model->id]),['class' => 'btn btn-danger float-right m-3 my-listing-bid-btn'])?>

                    <?php if ($model->sell_as == Vehicle::FAST) {?>

                    <?= Html::a(Yii::t('auto','See Bids'),\yii\helpers\Url::toRoute(['site/bid','slug' => $model->slug]),['class' => 'btn btn-green float-right m-3 my-listing-bid-btn'])?>

                    <?php }?>

                    <?= Html::a(Yii::t('auto','Edit'),\yii\helpers\Url::toRoute(['site/edit-listing','slug' => $model->slug]),['class' => 'btn btn-primary float-right m-3 my-listing-bid-btn'])?>

                    <div class="item-card9-desc mb-2 mt-3">

                        <a href="#" class="mr-4"><span class=""><i class="fa fa-calendar-o text-muted mr-1"></i><?= Yii::$app->formatter->asDate($model->created_at)?></span></a>
                        <a href="#" class="mr-4">
                            <?php if ($model->car_type == Vehicle::ROUND){?>
                            <span class="badge badge-success mt-1"><?= Yii::t('auto','360 Car Listing')?></span>
                        <?php }elseif($model->car_type == Vehicle::FAST){?>
                            <span class="badge badge-light mt-1"><?= Yii::t('auto','Auction Listing')?></span>
                        <?php }else{?>
                            <span class="badge badge-secondary mt-1"><?= Yii::t('auto','Free Car Listing')?></span>

                        <?php }?>
                        </a>
                    </div>
                    <p class="mb-0 leading-tight" style="display: none">
                        <?=
                         mb_substr($model->other_information,0,200, mb_detect_encoding($model->other_information))."...";
                        ?>
                    </p>
                </div>
            </div>
            <div class="card-footer pt-4 pb-4">
                <div class="item-card9-footer d-md-flex">
                    <div class="item-card9-cost">
                        <h4 class="text-dark font-weight-bold mb-0 mt-0"><?= $model->price?> <?= Yii::t('auto','JOD')?></h4>

                    </div>
                    <div class="ml-auto">
                        <?php
                        $mileageLabel = (!empty($model->odometer_km)) ? Yii::t('auto', 'Kilometers') :  Yii::t('auto', 'Miles');
                        $mileageValue = (!empty($model->odometer_km)) ? $model->odometer_km :  $model->odometer_mile;
                        ?>
                        <a href="#" class="mr-4" data-toggle="tooltip" data-placement="bottom" data-original-title="<?= Yii::t('auto', 'Engine') ?>"><i class="fa fa-car  mr-1 text-muted"></i>  <?= $model->getData('engine_id')?></a>
                        <a href="#" class="mr-4" data-toggle="tooltip" data-placement="bottom" data-original-title="<?= $mileageLabel ?>"><i class="fa fa-road text-muted mr-1 "></i><?= $mileageValue?> <?= $mileageLabel?></a>
                        <a href="#" class="" data-toggle="tooltip" data-placement="bottom" data-original-title="<?= Yii::t('auto', 'Transmission') ?>"><i class="fa fa-cogs text-muted mr-1"></i><?= $transmission->title?></a>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

