<?php

use yii\helpers\Html;
use common\models\Vehicle;
use common\models\VehicleImages;
/* @var $this \yii\web\View*/
/* @var $model Vehicle*/
$image = VehicleImages::findOne(['vehicle_id' => $model->id, 'type' => VehicleImages::TYPE_ONE, 'is_default' => 1]);
if(empty($image)){
    $image = VehicleImages::findOne(['vehicle_id' => $model->id, 'type' => VehicleImages::TYPE_ONE]);
}
$vehicle_title = \common\models\VehicleLang::findOne(['parent_id' => $model->id,'language' => Yii::$app->params['short_language']]);
if(empty($vehicle_title)){
    $vehicle_title = \common\models\VehicleLang::findOne(['parent_id' => $model->id]);
}
if (!Yii::$app->user->isGuest) {
    $fav = $model->getFavourite(Yii::$app->user->identity->id, $model->id);
}
?>
<div class="tab-pane active">
    <div class="card overflow-hidden">
        <div class="d-md-flex">
            <div class="item-card9-img">
                <?php if ($model->car_type == \common\models\Vehicle::FAST) {?>
                    <div class="arrow-ribbon bg-primary"><?= ($model->isAuctionExpired()) ?  Yii::t('auto', \common\models\Vehicle::VEHICLE_FINISHED) : Yii::t('auto', \common\models\Vehicle::VEHICLE_LIVE)?></div>
                <?php }?>
                <div class="item-card9-imgs">
                    <a class="link" target="_blank" href="<?= \yii\helpers\Url::toRoute(['site/cardetail','slug' => $model->slug])?>" data-pjax="0"></a>
                    <?php   if ($image) {
                        if (preg_match('#^(https?://|www\.)#i', $image->path) === 1){

                            ?>
                            <?= Html::img(Yii::getAlias('@web/images/car/default.jpg'),['data-src' => $image->getImageFullPath(['resolution' => '530xauto', 'quality' => 100]),'class' => 'cover-image lazy-load '.(($model->car_type == \common\models\Vehicle::ROUND) ? 'img-360-thumb' : ''), 'alt' => 'Image Not Found'])?>
                        <?php }else{?>
                            <?= Html::img(Yii::getAlias('@web/images/car/default.jpg'),['data-src' => $image->getImageFullPath(['resolution' => '530xauto', 'quality' => 100]), 'class' => 'cover-image lazy-load '.(($model->car_type == \common\models\Vehicle::ROUND) ? 'img-360-thumb' : ''), 'alt' => 'Image Not Found'])?>
                        <?php }?>

                    <?php }else{?>
                        <?= Html::img( Yii::getAlias('@web/images/car/default.jpg'),['class' => 'cover-image lazy-load '.(($model->car_type == \common\models\Vehicle::ROUND) ? 'img-360-thumb' : ''), 'alt' => 'No Image Found'])?>
                    <?php }?>
                </div>
                <?php if (!Yii::$app->user->isGuest) {?>
                    <div class="item-card9-icons">
                        <a href="javascript:void(0);" id="cart-<?= $model->id?>" class="item-card9-icons1 wishlist add-to-fav
<?php if ($fav == true) {echo 'active';}else{echo '';}?>"> <i class="fa fa fa-heart-o"></i></a>
                    </div>
                <?php }?>
                <?php if ($model->car_type == \common\models\Vehicle::ROUND) {?>
                    <div class="item-overly-trans">
                     <span>
                       <a class="bg-success">
                           <?= Yii::t('auto','360°')?>
                       </a>
                     </span>
                    </div>
                <?php }?>
            </div>
            <div class="card border-0 mb-0 car-model-detail-list">
                <div class="card-body ">
                    <div class="item-card9">
                        <a href="<?= \yii\helpers\Url::toRoute(['site/cardetail','slug' => $model->slug])?>" data-pjax="0" target="_blank" class="text-dark"><h4 class="font-weight-semibold mt-1"> <?= $vehicle_title->title?></h4></a>
                        <div class="item-card9-desc mb-2 mt-2">
                            <div class="row not-mobile">
                                <div class="col-lg-6 col-md-6 col-6">
                                    <!--<a href="#" class="mr-4"><span class=""><i class="fa fa-calendar-o text-muted mr-1"></i>  <?/*= Yii::$app->formatter->asDate($model->created_at)*/?></span></a>-->

                                </div>
                                <div class="col-lg-6 col-md-6 col-6">
                                    <div class="item-card9-cost">
                                        <h4 class="text-dark font-weight-bold my-0">
                                            <?php if(!$model->price): ?>
                                                <?= Yii::t('auto','Call for price')?>
                                            <?php else: ?>
                                                <?= Yii::t('auto','Price')?> : <?= $model->price?> <?= Yii::t('auto','JOD')?>
                                            <?php endif; ?>
                                        </h4>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="car-model-list">
                            <div class="for-mobile">
                                <div class="item-card9-cost " style="display: none">
                                    <h4 class="text-dark font-weight-bold my-0">
                                        <?php if(!$model->price): ?>
                                            <?= Yii::t('auto','Call for price')?>
                                        <?php else: ?>
                                            <?= Yii::t('auto','Price')?> : <?= $model->price?> <?= Yii::t('auto','JOD')?>
                                        <?php endif; ?>
                                    </h4>
                                </div>
                                <?= Html::a(Yii::t('auto','View Details'),\yii\helpers\Url::toRoute(['site/cardetail','slug' => $model->slug]),['target' => '_blank', 'data-pjax'=>"0", 'class' => 'btn btn-primary float-right btn-direction-'.Yii::$app->params['direction']])?>
                            </div>


                            <ul>
                                <li><b><?= Yii::t('auto','Year:')?></b> <?= $model->model_year?></li>
                                <li><b><?= Yii::t('auto','Power:')?></b> <?= $model->power?> <?= Yii::t('auto','HP')?></li>
                                <?php if ($model->odometer_mile == null){?>
                                    <li><b><?= Yii::t('auto','Distance:')?></b> <?= $model->odometer_km?> <?= Yii::t('auto','KM')?></li>
                                <?php }elseif($model->odometer_km == null) {?>
                                    <li><b><?= Yii::t('auto','Distance:')?></b> <?= $model->odometer_mile?> <?= Yii::t('auto','Mile')?></li>
                                <?php }elseif ($model->odometer_km !== null && $model->odometer_mile !== null) {?>
                                    <li><b><?= Yii::t('auto','Distance:')?></b> <?= $model->odometer_km?> <?= Yii::t('auto','KM')?></li>
                                <?php }?>
                            </ul>
                        </div>
                    </div>
                </div>
                <?php if ($model->car_type == Vehicle::FAST) {?>
                <div class="card-footer p-2">
                    <div class="item-card9-footer d-sm-flex">
                        <div class="ml-0">
                            <div class="expired-time bg-transparent text-success p-2 mt-0 text-center">
                                <?php if($model->isAuctionExpired()): ?>
                                    <?= Yii::t('auto','Expired')?> <span style="text-decoration: line-through; opacity: 0.5;">00 Days 00 : 00 : 00</span>
                                <?php else: ?>
                                    <?= Yii::t('auto','Expiring In:')?> <span class="auction-counter" data-expiring-in="<?= $model->getExpiration() ?>"></span>
                                <?php endif; ?>
                            </div>
                        </div>
                    </div>
                </div>
                <?php }?>
            </div>
        </div>
    </div>
</div>
<?php
$counterOutputPattern = '$day '.(Yii::t('auto', 'Days')).' $hour : $minute : $second';
$this->registerJs(<<<JS
$('.auction-counter').each(function(){
    let obj = $(this);
    obj.countdown( {
    from: parseInt(obj.attr('data-expiring-in')),
    to: 0,
    outputPattern : "$counterOutputPattern",
    timerEnd: function() {
            this.css( { 'text-decoration':'line-through' } ).animate( { 'opacity':.5 }, 500 );
        }
    } );
});
JS
);

?>

