<?php

use yii\helpers\Html;
use yii\bootstrap4\ActiveForm;
use common\models\Vehicle;
use common\models\DropdownListLang;

/* @var $this yii\web\View */
/* @var $from ActiveForm */
/* @var $model common\models\Vehicle*/
/* @var $equipment \common\models\VehicleEquipment*/
/* @var $list common\models\DropdownListLang*/

$attachment = \common\models\VehicleImages::findOne(['vehicle_id' => $model->id,'type' => \common\models\VehicleImages::TYPE_TWO]);
$this->title = 'Listings';
?>

    <div class="bannerimg cover-image bg-background3" data-image-src="<?= Yii::getAlias('@web/uploads/images/banners/banner2.jpg')?>">
        <div class="header-text mb-0">
            <div class="container">
                <div class="text-center text-white details-form-title">
                    <h2 class=""> <?= Yii::t('auto','Enter Vehicle Details')?></h2>
                </div>
            </div>
        </div>
    </div>

    <!--User Profile-->
    <section class="sptb sell-form-page">
        <div class="container">
            <div class="row">
                <div class="col-lg-12">
                    <?php $form = ActiveForm::begin(['id' => 'listing', 'options' => ['enctype' => 'multipart/form-data']]); ?>
                    <div class="card mb-0">
                        <div class="card-body">
                            <div class="border-0">
                                <div class="tab-content">
                                    <div class="tab-pane" id="tab-6">
                                        <h5 class="your-info-title"> <?= Yii::t('auto','Your Info')?></h5>
                                        <div class="row">
                                            <div class="col-sm-12 col-md-12">
                                                <div class="form-group">
                                                    <?= $form->field($model,'full_name')->textInput([
                                                        'class' => 'form-control'])?>
                                                </div>
                                            </div>
                                            <div class="col-sm-6 col-md-6">
                                                <div class="form-group">
                                                    <?= $form->field($model,'email')->textInput([
                                                        'class' => 'form-control'])?>
                                                </div>
                                            </div>
                                            <div class="col-sm-6 col-md-6">
                                                <div class="form-group">
                                                    <?= $form->field($model,'phone_number')->textInput([
                                                        'class' => 'form-control'])?>
                                                </div>
                                            </div>
                                        </div>
                                        <h5 class="vehicle-info-title"> <?= Yii::t('auto','Vehicle Info')?></h5>
                                        <div class="row">
                                            <div class="col-sm-12 col-md-12">
                                                <div class="form-group">
                                                    <?= $form->field($model,'title')->textInput([
                                                        'class' => 'form-control'])?>
                                                </div>
                                            </div>
                                            <div class="col-md-6">
                                                <div class="form-group">
                                                    <?php
                                                    $format = <<< SCRIPT
function format(state) {
    if (!state.id) return state.text; // optgroup

    return state.text;
}
SCRIPT;
                                                    $escape = new \yii\web\JsExpression("function(m) { return m; }");
                                                    $this->registerJs($format, \yii\web\View::POS_HEAD);
                                                    ?>
                                                    <?php
                                                    $url = \yii\helpers\Url::toRoute(['/site/lists']);
                                                    echo $form->field($model,'manufacturer_id')->widget(\kartik\select2\Select2::class,[
                                                        'data' => $list->manufacture(),
                                                        'options' => [
                                                            'placeholder' => Yii::t('auto','Select Model'),
                                                            'onchange' => '
                                                    $.post("'.$url.'?id="+$(this).val(), function( data ) {
                    $("select#vehicle-manufacturer_model_id").html( data );
                });'
                                                        ],
                                                        'pluginOptions' => [
                                                            'templateResult' => new \yii\web\JsExpression('format'),
                                                            'templateSelection' => new \yii\web\JsExpression('format'),
                                                            'escapeMarkup' => $escape,
                                                            'allowClear' => false,
                                                        ],
                                                    ])?>
                                                </div>
                                            </div>
                                            <div class="col-sm-6 col-md-6">
                                                <div class="form-group">
                                                    <?= $form->field($model,'manufacturer_model_id')->widget(\kartik\select2\Select2::class,[
                                                        'options' => [
                                                            'placeholder' => Yii::t('auto','Select Car Sub Model')
                                                        ]
                                                    ])?>
                                                </div>
                                            </div>
                                            <div class="col-sm-6 col-md-6">
                                                <div class="form-group">
                                                    <?= $form->field($model,'model_year')->widget(\kartik\select2\Select2::className(),[
                                                        'data' => range(1950,date('Y')),
                                                        'options' => [
                                                            'placeholder' => Yii::t('auto','Select Year')
                                                        ]
                                                    ])?>
                                                </div>
                                            </div><div class="col-md-6">
                                                <div class="form-group">
                                                    <?php
                                                    $format = <<< SCRIPT
function format(state) {
    if (!state.id) return state.text; // optgroup

    return state.text;
}
SCRIPT;
                                                    $escape = new \yii\web\JsExpression("function(m) { return m; }");
                                                    $this->registerJs($format, \yii\web\View::POS_HEAD);
                                                    ?>
                                                    <?= $form->field($model,'transmission_id')->widget(\kartik\select2\Select2::className(),[
                                                        'data' => $list->transmission(),
                                                        'options' => [
                                                            'placeholder' => Yii::t('auto','Select Transmission')
                                                        ],
                                                        'pluginOptions' => [
                                                            'templateResult' => new \yii\web\JsExpression('format'),
                                                            'templateSelection' => new \yii\web\JsExpression('format'),
                                                            'escapeMarkup' => $escape,
                                                            'allowClear' => true
                                                        ],
                                                    ]) ?>
                                                </div>
                                            </div>
                                            <div class="col-md-6">
                                                <div class="form-group">
                                                    <?php
                                                    $format = <<< SCRIPT
function format(state) {
    if (!state.id) return state.text; // optgroup

    return state.text;
}
SCRIPT;
                                                    $escape = new \yii\web\JsExpression("function(m) { return m; }");
                                                    $this->registerJs($format, \yii\web\View::POS_HEAD);
                                                    ?>
                                                    <?= $form->field($model,'body_type_id')->widget(\kartik\select2\Select2::className(),[
                                                        'data' => $list->bodyType(),
                                                        'options' => [
                                                            'placeholder' => Yii::t('auto','Select Body Type')
                                                        ],
                                                        'pluginOptions' => [
                                                            'templateResult' => new \yii\web\JsExpression('format'),
                                                            'templateSelection' => new \yii\web\JsExpression('format'),
                                                            'escapeMarkup' => $escape,
                                                            'allowClear' => true
                                                        ],
                                                    ]) ?>
                                                </div>
                                            </div>

                                            <div class="col-md-6">
                                                <div class="form-group">
                                                    <?php
                                                    $format = <<< SCRIPT
function format(state) {
    if (!state.id) return state.text; // optgroup

    return state.text;
}
SCRIPT;
                                                    $escape = new \yii\web\JsExpression("function(m) { return m; }");
                                                    $this->registerJs($format, \yii\web\View::POS_HEAD);
                                                    ?>
                                                    <?= $form->field($model,'drive_id')->widget(\kartik\select2\Select2::className(),[
                                                        'data' => $list->drive(),
                                                        'options' => [
                                                            'placeholder' => Yii::t('auto','Select Drive')
                                                        ],
                                                        'pluginOptions' => [
                                                            'templateResult' => new \yii\web\JsExpression('format'),
                                                            'templateSelection' => new \yii\web\JsExpression('format'),
                                                            'escapeMarkup' => $escape,
                                                            'allowClear' => true
                                                        ],
                                                    ]) ?>
                                                </div>
                                            </div>
                                            <div class="col-md-6">
                                                <div class="form-group">
                                                    <?php
                                                    $format = <<< SCRIPT
function format(state) {
    if (!state.id) return state.text; // optgroup

    return state.text;
}
SCRIPT;
                                                    $escape = new \yii\web\JsExpression("function(m) { return m; }");
                                                    $this->registerJs($format, \yii\web\View::POS_HEAD);
                                                    ?>
                                                    <?= $form->field($model,'engine_id')->widget(\kartik\select2\Select2::className(),[
                                                        'data' => $list->engine(),
                                                        'options' => [
                                                            'placeholder' => Yii::t('auto','Select Engine'),
                                                        ],
                                                        'pluginOptions' => [
                                                            'templateResult' => new \yii\web\JsExpression('format'),
                                                            'templateSelection' => new \yii\web\JsExpression('format'),
                                                            'escapeMarkup' => $escape,
                                                            'allowClear' => true
                                                        ],
                                                    ])?>
                                                </div>
                                            </div>
                                            <div class="col-md-6">
                                                <div class="form-group">
                                                    <?= $form->field($model,'cylinders_id')->widget(\kartik\select2\Select2::className(),[
                                                        'data' => $list->cylinder(),
                                                        'options' => [
                                                            'placeholder' => Yii::t('auto','Select Cylinders'),
                                                        ],

                                                    ])?>
                                                </div>
                                            </div>
                                            <div class="col-md-6">
                                                <div class="form-group">
                                                    <?php
                                                    $format = <<< SCRIPT
function format(state) {
    if (!state.id) return state.text; // optgroup

    return state.text;
}
SCRIPT;
                                                    $escape = new \yii\web\JsExpression("function(m) { return m; }");
                                                    $this->registerJs($format, \yii\web\View::POS_HEAD);
                                                    ?>
                                                    <?= $form->field($model,'color_id')->widget(\kartik\select2\Select2::className(),[
                                                        'data' => $list->exteriorColor(),
                                                        'options' => [
                                                            'placeholder' => Yii::t('auto','Select Exterior Color'),
                                                        ],
                                                        'pluginOptions' => [
                                                            'templateResult' => new \yii\web\JsExpression('format'),
                                                            'templateSelection' => new \yii\web\JsExpression('format'),
                                                            'escapeMarkup' => $escape,
                                                            'allowClear' => true
                                                        ],
                                                    ])?>
                                                </div>
                                            </div>
                                            <div class="col-md-6">
                                                <div class="form-group">
                                                    <?php
                                                    $format = <<< SCRIPT
function format(state) {
    if (!state.id) return state.text; // optgroup

    return state.text;
}
SCRIPT;
                                                    $escape = new \yii\web\JsExpression("function(m) { return m; }");
                                                    $this->registerJs($format, \yii\web\View::POS_HEAD);
                                                    ?>
                                                    <?= $form->field($model,'interior_color_id')->widget(\kartik\select2\Select2::className(),[
                                                        'data' => $list->interiorColor(),
                                                        'options' => [
                                                            'placeholder' => Yii::t('auto','Select Interior Color'),
                                                        ],
                                                        'pluginOptions' => [
                                                            'templateResult' => new \yii\web\JsExpression('format'),
                                                            'templateSelection' => new \yii\web\JsExpression('format'),
                                                            'escapeMarkup' => $escape,
                                                            'allowClear' => true
                                                        ],
                                                    ])?>
                                                </div>
                                            </div>
                                            <?php if(Yii::$app->controller->action->id == 'edit-listing'){?>
                                                <div class="col-md-6">
                                                    <div class="form-group">

                                                        <?= $form->field($model,'equipment[]')->widget(\kartik\select2\Select2::className(),[
                                                            'data' => $model->equipment,

                                                            'options' => [
                                                                'placeholder' => Yii::t('auto','Select Equipments'),
                                                                'multiple' => true
                                                            ]
                                                        ])?>

                                                    </div>
                                                </div>
                                            <?php }else{?>
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <?= $form->field($model,'equipment[]')->widget(\kartik\select2\Select2::className(),[
                                                            'data' => $list->equipment(),
                                                            'options' => [
                                                                'placeholder' => Yii::t('auto','Select Equipments'),
                                                                'multiple' => true
                                                            ]
                                                        ])?>
                                                    </div>
                                                </div>
                                            <?php }?>
                                            <div class="col-md-6">
                                                <div class="form-group">
                                                    <?= $form->field($model,'remark[]')->widget(\kartik\select2\Select2::className(),[
                                                        'data' => $list->remarks(),
                                                        'options' => [
                                                            'placeholder' => Yii::t('auto','Select Remarks'),
                                                            'multiple' => true
                                                        ]
                                                    ])?>
                                                </div>
                                            </div>
                                            <div class="col-md-6">
                                                <div class="form-group">
                                                    <?= $form->field($model,'price')->textInput([
                                                        'class' => 'form-control'])?>
                                                </div>
                                            </div>
                                            <div class="col-md-6">
                                                <div class="form-group">
                                                    <?= $form->field($model,'rim_size')->textInput([
                                                        'class' => 'form-control'])?>
                                                </div>
                                            </div>
                                            <div class="col-md-6">
                                                <div class="form-group">
                                                    <?= $form->field($model,'power')->textInput([
                                                        'class' => 'form-control'])?>
                                                </div>
                                            </div>
                                            <div class="col-md-6">
                                                <div class="form-group">
                                                    <?= $form->field($model,'capacity')->textInput([
                                                        'class' => 'form-control'])?>
                                                </div>
                                            </div>

                                            <?php if (Yii::$app->controller->action->id == 'edit-listing') {?>
                                                <div class="col-md-12">
                                                    <div class="form-group">
                                                        <?= $form->field($model,'odometer_meter_type')->inline()->radioList([1=>Yii::t('auto','Km'),0=>Yii::t('auto','Mile')])->label(Yii::t('auto','Odometer Type')) ?>
                                                    </div>
                                                </div>
                                                <div class="col-md-12 odometer_km" style="<?=$model->odometer_meter_type?"display:block":"display:none"?>">
                                                    <div class="form-group">
                                                        <?= $form->field($model,'odometer_km')->textInput(['class' => 'form-control']) ?>
                                                    </div>
                                                </div>
                                                <div class="col-md-12 odometer_mile" style="<?=$model->odometer_meter_type?"display:block":"display:none"?>">
                                                    <div class="form-group">
                                                        <?= $form->field($model,'odometer_mile')->textInput(['class' => 'form-control']) ?>
                                                    </div>
                                                </div>
                                            <?php }else{?>
                                                <div class="col-md-12">
                                                    <div class="form-group">
                                                        <?= $form->field($model,'odometer_meter_type')->inline()->radioList([1=>Yii::t('auto','Km'),0=>Yii::t('auto','Mile')])->label(Yii::t('auto','Odometer Type')) ?>
                                                    </div>
                                                </div>
                                                <div class="col-md-12 odometer_km" style="<?=$model->odometer_meter_type?"display:block":"display:none"?>">
                                                    <div class="form-group">
                                                        <?= $form->field($model,'odometer_km')->textInput(['class' => 'form-control']) ?>
                                                    </div>
                                                </div>
                                                <div class="col-md-12 odometer_mile" style="<?=$model->odometer_meter_type?"display:block":"display:none"?>">
                                                    <div class="form-group">
                                                        <?= $form->field($model,'odometer_mile')->textInput(['class' => 'form-control']) ?>
                                                    </div>
                                                </div>
                                            <?php }?>

                                            <?php if (Yii::$app->controller->action->id == 'edit-listing') {?>
                                                <div class="col-md-12">
                                                    <div class="form-group">
                                                        <?= $form->field($model,'attachment')->widget(\kartik\file\FileInput::className(),[
                                                            'pluginOptions' => [

                                                                'initialPreview' => $attachment?Html::img(Yii::getAlias('@web/uploads/attachment/'.$attachment->path)):'',
                                                                'initialPreviewData' => true,
                                                                'showRemove' => false,
                                                                'showUpload' => false,
                                                                'showCancel' => false,
                                                            ],
                                                        ])?>
                                                    </div>
                                                </div>
                                            <?php }else{?>
                                                <div class="col-md-12">
                                                    <div class="form-group">
                                                        <?= $form->field($model,'attachment')->widget(\kartik\file\FileInput::className(),[
                                                            'pluginOptions' => [

                                                                'initialPreviewData' => true,
                                                                'showRemove' => false,
                                                                'showUpload' => false,
                                                                'showCancel' => false,
                                                            ],
                                                        ])?>
                                                    </div>
                                                </div>
                                            <?php }?>

                                            <?php if (Yii::$app->controller->action->id == 'edit-listing') {?>
                                                <div class="col-md-12">
                                                    <div class="form-group">
                                                        <?= $form->field($model,'carseer_url')->textarea(['rows' => 6, 'disabled' => true])?>
                                                    </div>
                                                </div>
                                            <?php }else{?>
                                                <div class="col-md-12">
                                                    <div class="form-group">
                                                        <?= $form->field($model,'has_carseer_report')->inline()->radioList([1=>Yii::t('auto','Yes'),0=>Yii::t('auto','No')])->label(Yii::t('auto','Do you have Carseer Report?')) ?>
                                                    </div>
                                                </div>
                                                <div class="col-md-12 carseer_url" style="<?=$model->has_carseer_report?"display:block":"display:none"?>">
                                                    <div class="form-group">
                                                        <?= $form->field($model,'carseer_url')->textInput(['class' => 'form-control']) ?>
                                                    </div>
                                                </div>
                                            <?php } ?>    
                                        </div>
                                    </div>
                                    <div class="button-section">
                                        <?= Html::submitButton(Yii::t('auto','Next Step'), ['class' => 'btn btn-success']) ?>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <?php $form = ActiveForm::end();?>
                </div>
            </div>
        </div>
    </section>
    <!--/User Profile-->
<?php
$carseer_checkbox_id = Html::getInputId($model,'has_carseer_report');
$carseer_checkbox_name = Html::getInputName($model,'has_carseer_report');

$odometer_id = Html::getInputId($model,'odometer_meter_type');
$odometer_name = Html::getInputName($model,'odometer_meter_type');
$script = <<< JS
$(document).ready(function ()
    {
        $("#see-me").click(function()
        {
            $("#show-me-two:hidden").show('slow');
            $("#show-me").hide();
            $("#show-me-three").hide();
        });
        $("#see-me").click(function()
        {
            if($('see-me-two').prop('checked')===false)
            {
                $('#show-me-two').hide();
            }
        });

        $("#$odometer_id").click(function()
        {
            if($('input[name="$odometer_name"]:checked').val()=='1')
            {
                $('.odometer_km').show();
            }else{
                $('.odometer_km').hide();
            }
        });
        $("#$odometer_id").click(function()
        {
            if($('input[name="$odometer_name"]:checked').val()=='0')
            {
                $('.odometer_mile').show();
            }else{
                $('.odometer_mile').hide();
            }
        });
        
        $("#$carseer_checkbox_id").click(function()
        {
            if($('input[name="$carseer_checkbox_name"]:checked').val()=='1')
            {
                $('.carseer_url').show();
            }else{
                $('.carseer_url').hide();
            }
        });

        $("#look-me").click(function()
        {
            $("#show-me-three:hidden").show('slow');
            $("#show-me").hide();
            $("#show-me-two").hide();
        });
        $("#look-me").click(function()
        {
            if($('see-me-three').prop('checked')===false)
            {
                $('#show-me-three').hide();
            }
        });

    });
    $(function() {
        var minDate = new Date();                       
        $('input[name="datetimes"]').daterangepicker({
            // singleDatePicker: true,
            timePicker: true,
            rtl: true,
            startDate: moment().startOf('hour'),
            endDate: moment().startOf('hour').add(32, 'hour'),
            minDate: minDate,       
            maxSpan: {
                days: 1
            },
            timePickerIncrement: 30, 
            locale: {
                format: 'M/DD hh:mm A'
            }
        });
    });
JS;
$this->registerJs($script);

?>