<?php
use yii\helpers\Html;
use yii\widgets\ListView;

/* @var $dataProvider \yii\data\ActiveDataProvider */
?>

<!--Featured Products-->
<section class="sptb">
    <div class="container">
        <div class="section-title center-block text-center">
            <h2><?= Yii::t('auto','Car Listing')?></h2>
        </div>
        <div class="row">
                <!--Lists-->
                <?= ListView::widget([
                    'dataProvider' => $dataProvider,
                    'itemView' => '_listing_inner',
                    'itemOptions' => [
                        'class' => 'col-xl-6 col-lg-6 col-md-12'
                    ],
                    'options' => [
                        'tag' => false,
                    ],
                    'summary' => false,
                ])?>
                <!--/Lists-->
        </div>
    </div>
</section>
<!--/Featured Products-->
<?php
$add_to_favourite = \yii\helpers\Url::to(['site/favourite']);

if (!Yii::$app->user->isGuest) {
    $user_id = Yii::$app->user->identity->id;
    $js = <<< JS
$('.add-to-fav').click(function (){
    var car_id_string = $(this).attr('id');
    var car_id =  car_id_string.replace("cart-", "");
    $.ajax({method:"POST",url: "$add_to_favourite", data: { user_id : "$user_id",vehicle_id : car_id},
     success: function(result){
        if (result == true){
           $("#cart-"+car_id).addClass('active');
        }
        else{
           $("#cart-"+car_id).removeClass('active');
        }
  }});
})
JS;
    $this->registerJs($js);
}
?>