<?php

use yii\helpers\Html;
use kartik\select2\Select2;
use yii\widgets\ActiveForm;
use common\models\DropdownListLang;

/* @var $list_lang DropdownListLang*/
/* @var $searchModel \common\models\VehicleSearch*/

$selected_manufacturer = explode('-',Yii::$app->request->get('manufacturer_id'));
$selected_body_type = explode('-',Yii::$app->request->get('body_type_id'));

?>
<div class="video-banner">
    <div class="video">
        <video preload="auto" loop="" id="vid" muted="" autoplay="" class="caf" data-func="play_video"  width="1450" height="740" >
            <source src="<?=  \Yii::$app->urlManagerBackEnd->baseUrl.'/uploads/home-page-video/home-page-video.mp4'?>" type="video/mp4">
        </video>
    </div>
    <div class="video-text">
        <div class="container">
            <?php $form = ActiveForm::begin(['method' => 'GET', 'class' => 'row justify-content-md-center form-vertical','action' => 'site/search?keyword=&vehicle_type='.\common\models\Vehicle::FREE]); ?>
            <div class="row justify-content-md-center form-vertical">
                <div class="search-label tab-full">
                    <?= Yii::t('auto','Quick Search')?>
                </div>
                <div class="col-lg-3 col-sm-6 col-sm-6">
                    <?php
                    $format = <<< SCRIPT
function format(state) {
    if (!state.id) return state.text; // optgroup

    return state.text;
}
SCRIPT;
                    $escape = new \yii\web\JsExpression("function(m) { return m; }");
                    $this->registerJs($format, \yii\web\View::POS_HEAD);
                    ?>
                    <div class="form-group highlight-addon field-vehiclesearch-manufacturer_id">
                        <?= \kartik\select2\Select2::widget([
                            'name' => 'manufacturer_id',
                            'data' => $list_lang->manufacture(),
                            'value' => $selected_manufacturer,
                            'options' => [
                                'placeholder' => Yii::t('auto', 'Select Manufacturer'),
                                'id' => 'manufacturer_id',
                                'multiple' => false,
                                'class' => 'selected-filter'
                            ],
                            'showToggleAll' => false,
                            'pluginOptions' => [
                                'templateResult' => new \yii\web\JsExpression('format'),
                                'templateSelection' => new \yii\web\JsExpression('format'),
                                'escapeMarkup' => $escape,
                                'allowClear' => false,
                            ],
                        ])?>
                    </div>
                </div>
                <div class="form-group col-lg-3 col-sm-6 col-sm-6">
                        <div class="form-group highlight-addon field-vehiclesearch-body_type_id">
                        <?php
                        $format = <<< SCRIPT
                            function format(state) {
                                if (!state.id) return state.text; // optgroup
                            
                                return state.text;
                            }
SCRIPT;
                        $escape = new \yii\web\JsExpression("function(m) { return m; }");
                        $this->registerJs($format, \yii\web\View::POS_HEAD);
                        ?>
                        <?= \kartik\select2\Select2::widget([
                            'name' => 'body_type_id',
                            'data' => $list_lang->bodyType(),
                            'value' => $selected_body_type,
                            'options' => [
                                'placeholder' => Yii::t('auto', 'Select Body Type'),
                                'id' => 'body_type_id',
                                'multiple' => false,
                                'class' => 'selected-filter'
                            ],
                            'showToggleAll' => false,
                            'pluginOptions' => [
                                'templateResult' => new \yii\web\JsExpression('format'),
                                'templateSelection' => new \yii\web\JsExpression('format'),
                                'escapeMarkup' => $escape,
                                'allowClear' => false,
                            ],
                        ])?>
                    </div>
                </div>
                <div class="form-group col-lg-1 col-sm-12 col-xs-12 text-center-mobile">
                    <?= Html::submitButton(Yii::t('auto','Search'), ['class' => 'btn btn-primary']) ?>

                </div>
            </div>
            <?php ActiveForm::end(); ?>
        </div>
    </div>
</div>

<?php

$js = <<< JS

JS;
$this->registerJs($js);
?>