<?php

use yii\helpers\Html;
use yii\bootstrap4\ActiveForm;
use common\models\VehicleImages;

/* @var $this yii\web\View */
/* @var $from ActiveForm */
/* @var $model common\models\VehicleImages*/
/* @var $vehicle array*/

$this->title = Yii::t('auto','Upload Images');
?>
<div class="bannerimg cover-image bg-background3" data-image-src="<?= Yii::getAlias('@web/uploads/images/banners/banner2.jpg')?>">
    <div class="header-text mb-0">
        <div class="container">
            <div class="text-center text-white details-form-title">
                <h2 class=""><?= Yii::t('auto','Enter Vehicle Details')?></h2>
            </div>
        </div>
    </div>
</div>

<!--User Profile-->
<section class="sptb sell-form-page">
    <div class="container">
        <div class="row">
            <div class="col-lg-12">
                <?php $form = ActiveForm::begin(['id' => 'listing', 'options' => ['enctype' => 'multipart/form-data']]); ?>
                <div class="card mb-0">
                    <div class="card-body">
                        <div class="border-0">
                            <div class="tab-content">
                                <div class="tab-pane" id="tab-6">
                                    <h5 class="vehicle-info-title"><?= Yii::t('auto','Vehicle Image')?></h5>
                                    <div class="row">

                                        <div class="col-md-12">
                                            <?= $form->field($model,'path[]')->widget(\kartik\file\FileInput::className(),[
                                                'options' => [
                                                    'multiple' => true,
                                                ],
                                                'pluginOptions' => [
                                                    'showUpload' => false,
                                                    'showRemove' => true,
                                                    'showCancel' => false,
                                                ],
                                            ])->label('Vehicle Images')?>
                                        </div>
                                        <?php if (Yii::$app->controller->action->id == 'update-image') {?>

                                            <div class="col-md-12 d-none">
                                                <?= $form->field($model,'frontImage')->widget(\kartik\file\FileInput::className(),[

                                                    'pluginOptions' => [
                                                        'initialPreview' => $vehicle?Html::img(Yii::getAlias('@web/uploads/front-images/'.$vehicle->image360)):'',
                                                        'initialPreviewData' => true,
                                                        'showUpload' => false,
                                                        'showRemove' => false,
                                                        'showCancel' => false,
                                                    ],

                                                ])->label('Interior 360 Image')?>
                                            </div>

                                        <?php } else {?>

                                            <div class="col-md-12 d-none">
                                                <?= $form->field($model,'frontImage')->widget(\kartik\file\FileInput::className(),[

                                                    'pluginOptions' => [
                                                        'showUpload' => false,
                                                        'showRemove' => false,
                                                        'showCancel' => false,
                                                    ],
                                                ])->label('Interior 360 Image')?>
                                            </div>

                                        <?php }?>

                                    </div>
                                </div>
                                <div class="button-section">
                                    <?= Html::submitButton(Yii::t('auto','Next Step'), ['class' => 'btn btn-success']) ?>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <?php $form = ActiveForm::end();?>
            </div>
        </div>
    </div>
</section>
<!--/User Profile-->