<?php

/* @var $this yii\web\View */
/* @var $form yii\bootstrap4\ActiveForm */
/* @var $model \frontend\models\PasswordResetRequestForm */

use yii\bootstrap4\Html;
use yii\bootstrap4\ActiveForm;

$this->title = Yii::t('auto','Request Password Reset');
$this->params['breadcrumbs'][] = $this->title;
?>
<!--Section-->
<section>
    <div class="bannerimg cover-image bg-background3" data-image-src="<?= Yii::getAlias('@web/images/banners/banner2.jpg')?>">
        <div class="header-text mb-0">
            <div class="container">
                <div class="text-center text-white">
                    <h1 class=""><?= Yii::t('auto','Request Password Reset')?></h1>
                </div>
            </div>
        </div>
    </div>
</section>
<!--Section-->

<!--Request-Password-Reset-Section-->
<section class="sptb">
    <div class="container customerpage">
        <div class="row">
            <div class="single-page" >
                <div class="col-lg-5 col-xl-4 col-md-6 d-block mx-auto">
                    <div class="wrapper wrapper2">
                        <?php $form = ActiveForm::begin(['id' => 'request-password-reset-form']); ?>
                        <div tabindex="500" class="card-body">
                            <h3><?= Yii::t('auto','Request Password Reset')?></h3>
                            <div class="mail">
                                <?= $form->field($model, 'email')->textInput(['autofocus' => true, 'placeholder' => Yii::t('auto', "Please enter your registered email")])->label(false) ?>
                            </div>
                            <div class="submit">
                                <?= Html::submitButton(Yii::t('auto','Send'), ['class' => 'btn btn-primary btn-block', 'name' => 'login-button']) ?>
                            </div>

                            <p class="text-dark mb-0"><?= Yii::t('auto','Login to your Account?')?>
                                <a href="<?= \yii\helpers\Url::to('login')?>" class="text-primary ml-1"><?= Yii::t('auto','Login')?></a>
                            </p>
                        </div>
                        <?php ActiveForm::end(); ?>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
<!--/Request-Password-Reset-Section-->

