<?php

/* @var $this yii\web\View */
use yii\helpers\Html;
$this->title = 'Sale';

$models = common\models\ListingStep::find()->where(['status'  => common\models\ListingStep::ACTIVE,'use_for_free_sell' => common\models\ListingStep::ACTIVE])->all();
?>

<!--Breadcrumbs Section-->
<div class="bannerimg cover-image bg-background3" data-image-src="<?= Yii::getAlias('@web/images/banners/banner2.jpg')?>">
    <div class="header-text mb-0">
        <div class="container">
            <div class="text-center text-white ">
                <h2 class=""><?= Yii::t('auto','2 Steps To Sell Your Car')?></h2>
                <ol class="breadcrumb text-center">
                    <li class="breadcrumb-item"><a href="/"><?= Yii::t('auto','Home')?></a></li>
                    <li class="breadcrumb-item"><a href="#"><?= Yii::t('auto','Profile')?></a></li>
                    <li class="breadcrumb-item active text-white" aria-current="page"><?= Yii::t('auto','Free listing')?></li>
                </ol>
            </div>
        </div>
    </div>
</div>
<!--Breadcrumbs Section-->

<section>
    <div class="step-page">
        <div class="container">
            <?php foreach ($models as $model){?>
                <div class="step-1 step">
                    <div class="container">
                        <div class="row">
                            <div class="col-lg-5 col-md-12">
                                <div class="step-img">
                                    <?= Html::img(Yii::getAlias('@web/uploads/listing-step/'.$model->image),['class' => ''])?>
                                </div>
                            </div>
                            <div class="col-lg-7 col-md-12">
                                <div class="step-text">
                                    <?php if (Yii::$app->language == backend\modules\translatemanager\models\Language::LANGUAGE_ARABIC){?>

                                        <h5><?= $model->title_ar?></h5>
                                        <p><?= $model->description_ar?></p>

                                    <?php }else{?>
                                        <h5><?= $model->title_en?></h5>
                                        <p><?= $model->description_en?></p>
                                    <?php }?>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            <?php }?>
            <div class="button-section">
                <?php if(!Yii::$app->user->isGuest){ ?>
                    <a href="<?= \yii\helpers\Url::toRoute(['site/listing','slug' =>  \common\models\Vehicle::VEHICLE_FREE])?>" class="btn btn-primary btn-sm pre-loader-btn"><?= Yii::t('auto',"Let's Start")?></a>
                <?php }else{ ?>
                    <a href="<?= \yii\helpers\Url::toRoute(['site/login'])?>" class="btn btn-primary btn-sm"><?= Yii::t('auto',"Let's Start")?></a>
                <?php } ?>
            </div>
        </div>
    </div>
</section>
