
<?php

use yii\helpers\Html;
use yii\grid\GridView;

/* @var $this \yii\web\View*/
/* @var $dataProvider yii\data\ActiveDataProvider */
/* @var $model \common\models\VehicleBids*/
/* @var $searchModel \common\models\VehicleBidsSearch */

$vehicle = $model->vehicle;
$this->title = 'SuccessFul Biding';
?>

<!--Breadcrumbs Section-->
<div class="biding-breadcrumbs">
    <div class="bannerimg cover-image bg-background3" data-image-src="<?= Yii::getAlias('@web/images/banners/banner2.jpg')?>">
        <div class="header-text mb-0">
            <div class="container">
                <div class="text-center text-white ">
                    <h2 class=""><?= Yii::t('auto','List of cars you Bid on')?></h2>
                    <ol class="breadcrumb text-center">
                        <li class="breadcrumb-item"><a href="/"><?= Yii::t('auto','Home')?></a></li>
                        <li class="breadcrumb-item active text-white" aria-current="page"><?= Yii::t('auto','my-biddings')?></li>
                    </ol>
                </div>
            </div>
        </div>
    </div>
</div>
<!--Breadcrumbs Section-->
<section class="sptb pt-5 biding-order-list">
    <div class="container">
        <div class="row mt-5">

            <div class="col-lg-4 col-md-12">
                <div class="card">
                    <div class="card-body">
                        <div class="item-box text-center">
                            <a href="<?= \yii\helpers\Url::toRoute('site/my-biddings')?>">
                                <div class="stamp text-center stamp-lg bg-primary "><i class="fa fa-users"></i></div>
                                <div class="item-box-wrap">
                                    <h5 class="mb-2"> <?= Yii::t('auto','Total Bids')?></h5>
                                    <p class="text-muted mb-0"><?= Yii::t('auto','usantium')?></p>
                                </div>
                            </a>
                        </div>
                    </div>
                </div>
            </div>

            <div class="col-lg-4 col-md-12">
                <div class="card">
                    <div class="card-body">
                        <div class="item-box text-center">
                            <a href="<?= \yii\helpers\Url::toRoute('site/successful-biding')?>">
                                <div class="stamp text-center stamp-lg bg-primary "><i class="fa fa-users"></i></div>
                                <div class="item-box-wrap">
                                    <h5 class="mb-2"><?= Yii::t('auto','SuccessFul Bids')?></h5>
                                    <p class="text-muted mb-0"><?= Yii::t('auto','usantium')?> </p>
                                </div>
                            </a>
                        </div>
                    </div>
                </div>
            </div>

            <div class="col-lg-4 col-md-12">
                <div class="card">
                    <div class="card-body">
                        <div class="item-box text-center">
                            <a href="<?= \yii\helpers\Url::toRoute('site/active-biding')?>">
                                <div class="stamp text-center stamp-lg bg-primary "><i class="fa fa-users"></i></div>
                                <div class="item-box-wrap">
                                    <h5 class="mb-2"><?= Yii::t('auto','Active Bids')?></h5>
                                    <p class="text-muted mb-0"><?= Yii::t('auto','usantium')?></p>
                                </div>
                        </div>
                    </div>
                </div>
            </div>

        </div>
    </div>
</section>

<!--Section-->
<section class="sptb pt-5 biding-order-list">
    <div class="container">
        <div class="row">
            <div class="col-xl-12 col-lg-12 col-md-12">
                <div class="card mb-0">
                    <div class="card-header">
                        <h3 class="card-title"><?= Yii::t('auto','Bids List')?></h3>
                    </div>
                    <div class="card-body">

                        <?= GridView::widget([
                            'dataProvider' => $dataProvider,
                            'filterModel' => $searchModel,
                            'columns' => [

                                [
                                    'attribute' => 'vehicle_id',
                                    'format' => 'raw',
                                    'value' => function ($model) {
                                        return Html::a($model->vehicle->title,[\yii\helpers\Url::toRoute(['site/car-detail','slug'=> $model->vehicle->slug])]);
                                    }
                                ],
                                'bid',
                                'created_at',
                                //'updated_at',
                                //'created_by',
                                //'updated_by',

                                ['class' => 'yii\grid\ActionColumn',
                                    'template' => null],
                            ],
                        ]); ?>

                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
